#
# spec file for package webkitgtk3
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_for_gtk3 1

%if %{build_for_gtk3}
%define _pkgname_no_slpp libwebkitgtk3
%define _sover -3_0-0
%define _wk2sover -3_0-25
%define _sonamever 3.0
%define _sonameverpkg 3_0
%define _develnamever 3
%define _gtkver 3.0
%define _jscver 3
%define _pkgconfig_suffix gtk-3.0
%define _withwk2 0
%else
%define _pkgname_no_slpp libwebkitgtk2
%define _sover -1_0-0
%define _sonamever 1.0
%define _sonameverpkg 1_0
%define _withwk2 0
# empty:
#%%define _develnamever
%define _gtkver 2.0
%define _jscver 1
%define _pkgconfig_suffix -1.0
%endif

Name:           webkitgtk3
%define _name webkitgtk
Summary:        Library for rendering web content, GTK+ Port
License:        LGPL-2.0+ and BSD-3-Clause
Group:          Development/Libraries/C and C++
Version:        2.4.11
Release:        4.26
# FIXME: at some point, figure out a way to remove the hack where we use -g0 to have successful builds
# FIXME: get upstream to fix the conflict on gtk-doc docs between gtk2 and gtk3 versions
# FIXME: after 1.7.90, remove workaround in %%setup that is needed to fix the build
Url:            http://webkitgtk.org/
Source:         http://webkitgtk.org/releases/%{_name}-%{version}.tar.xz
Source1:        baselibs.conf
# PATCH-FIX-OPENSUSE webkitgtk-typelib-sharelib-link.patch dimstar@opensuse.org -- Fixup the .gir file to contain the full library name for libjavascriptcore.
Patch0:         webkitgtk-typelib-sharelib-link.patch
# PATCH-FIX-OPENSUSE webkit-ld-optimization.patch vuntz@opensuse.org -- Add ld options to use less memory when linking, should help building on OBS, but this will be slower
Patch2:         webkit-ld-optimization.patch
# PATCH-FIX-UPSTREAM aarch64-support.patch webkit#116030 schwab@suse.de -- Support for aarch64
Patch3:         webkitgtk-aarch64.patch
# PATCH-FIX-UPSTREAM webkitgtk-x86-assembler-fix.patch webkit#126985 dimstar@opensuse.org -- Fix build creating invalid assembler code on x86.
Patch6:         webkitgtk-x86-assembler-fix.patch
# PATCH-FIX-UPSTREAM webkitgtk-commit-size.patch bnc#866728 mgorse@suse.com -- call mprotect with valid size on s390/ppc64.
Patch8:         webkitgtk-commit-size.patch
# PATCH-FIX-UPSTREAM webkitgtk-ppc32.patch webkit#130837 dvaleev@suse.com --  Webkit2 doesnt build on powerpc 32 bits 
Patch10:        webkitgtk-ppc32.patch
# PATCH-FIX-UPSTREAM webkitgtk-abs_to_fabs.patch dimstar@opensuse.org -- Use fabs() instead of abs() on floating point values
Patch11:        webkitgtk-abs_to_fabs.patch
BuildRequires:  Mesa-devel
BuildRequires:  bison
BuildRequires:  chrpath
BuildRequires:  flex
BuildRequires:  gcc-c++
BuildRequires:  gobject-introspection-devel >= 1.32.0
BuildRequires:  gperf
BuildRequires:  gtk-doc
BuildRequires:  libicu-devel
BuildRequires:  libjpeg-devel
# Needed for patch2
BuildRequires:  libtool
BuildRequires:  perl
BuildRequires:  python
BuildRequires:  ruby
# Needed by make-hash-tools.pl, after move to perl 5.14
BuildRequires:  perl(Switch)
BuildRequires:  pkgconfig(atspi-2) >= 2.2.1
BuildRequires:  pkgconfig(cairo) >= 1.10
BuildRequires:  pkgconfig(cairo-ft)
BuildRequires:  pkgconfig(enchant) >= 0.22
BuildRequires:  pkgconfig(fontconfig) >= 2.5
BuildRequires:  pkgconfig(freetype2) >= 9.0
%if %{build_for_gtk3}
# yes, needed for the plugin process even though we're targetting gtk3
BuildRequires:  pkgconfig(gail) >= 1.8
BuildRequires:  pkgconfig(gail-3.0) >= 3.0
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.24.10
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.6.0
BuildRequires:  pkgconfig(gtk+-unix-print-3.0)
%else
BuildRequires:  pkgconfig(gail) >= 1.8
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.24.10
%endif
BuildRequires:  pkgconfig(geoclue-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.0.3
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= 1.0.3
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(harfbuzz)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsoup-2.4) >= 2.42.0
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6
BuildRequires:  pkgconfig(libxslt) >= 1.1.7
BuildRequires:  pkgconfig(pango) >= 1.30.0
BuildRequires:  pkgconfig(pangoft2)
BuildRequires:  pkgconfig(sqlite3) >= 3.0
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(zlib)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%package -n libwebkitgtk%{_sover}

Summary:        Library for rendering web content, GTK+ Port
Group:          System/Libraries
%if ! %{build_for_gtk3}
Provides:       libWebKitGtk0 = %{version}
Obsoletes:      libWebKitGtk0 < %{version}
%endif
# We provide %{_pkgname_no_slpp}: that's the GTK+ version being used.
Provides:       %{_pkgname_no_slpp} = %{version}
Recommends:     %{_pkgname_no_slpp}-lang = %{version}

%description -n libwebkitgtk%{_sover}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%if %{_withwk2}
%package -n libwebkit2gtk%{_wk2sover}
Summary:        Library for rendering web content, GTK+ Port
Group:          System/Libraries
# this will install the non-webkit2 library too; at some point, we should move
# the Provides for %%{_pkgname_no_slpp} here
Recommends:     %{_pkgname_no_slpp}-lang = %{version}
# Recommend the injected bundles
Recommends:     webkit2gtk-3_0-injected-bundles

%description -n libwebkit2gtk%{_wk2sover}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%package -n webkit2gtk-3_0-injected-bundles
Summary:        Library for rendering web content -- Injected bundles
Group:          System/Libraries

%description -n webkit2gtk-3_0-injected-bundles
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.
%endif

%package -n libjavascriptcoregtk%{_sover}

Summary:        JavaScript Core Engine, GTK+ Port
Group:          System/Libraries

%description -n libjavascriptcoregtk%{_sover}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%package -n typelib-1_0-WebKit-%{_sonameverpkg}
Summary:        Library for rendering web content, GTK+ Port -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-WebKit-%{_sonameverpkg}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

This package provides the GObject Introspection bindings for the GTK+
port of WebKit.

%if %{build_for_gtk3}
%package -n typelib-1_0-WebKit2-%{_sonameverpkg}
Summary:        Library for rendering web content, GTK+ Port -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-WebKit2-%{_sonameverpkg}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

This package provides the GObject Introspection bindings for the GTK+
port of WebKit2.

%package -n typelib-1_0-WebKit2WebExtension-%{_sonameverpkg}
Summary:        Library for rendering web content, GTK+ Port -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-WebKit2WebExtension-%{_sonameverpkg}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

This package provides the GObject Introspection bindings for the GTK+
port of WebKit2.


%endif

%package -n typelib-1_0-JavaScriptCore-%{_sonameverpkg}
Summary:        JavaScript Core Engine, GTK+ Port -- Introspection bindings
Group:          System/Libraries

%description -n typelib-1_0-JavaScriptCore-%{_sonameverpkg}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

This package provides the GObject Introspection bindings for the GTK+
port of the JavaScript Core engine.

%package -n libwebkitgtk%{?_develnamever}-devel
Summary:        Library for rendering web content, GTK+ Port
Group:          Development/Libraries/C and C++
Requires:       libjavascriptcoregtk%{_sover} = %{version}
%if %{_withwk2}
Requires:       libwebkit2gtk%{_wk2sover} = %{version}
%endif
Requires:       libwebkitgtk%{_sover} = %{version}
Requires:       typelib-1_0-JavaScriptCore-%{_sonameverpkg}
Requires:       typelib-1_0-WebKit-%{_sonameverpkg}
%if ! %{build_for_gtk3}
Provides:       WebKitGtk-devel = %{version}
Obsoletes:      WebKitGtk-devel < %{version}
Provides:       libwebkit-devel = %{version}
Obsoletes:      libwebkit-devel < %{version}
%endif

%description -n libwebkitgtk%{?_develnamever}-devel
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%package -n webkit-jsc-%{_jscver}
Summary:        Library for rendering web content, GTK+ Port
Group:          Development/Libraries/C and C++
Requires:       libwebkitgtk%{_sover} = %{version}
%if ! %{build_for_gtk3}
Provides:       webkit-jsc = %{version}
Obsoletes:      webkit-jsc < %{version}
%endif

%description -n webkit-jsc-%{_jscver}
WebKit is a web content engine, derived from KHTML and KJS from KDE,
and used primarily in Apple's Safari browser.  It is made to be
embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It
also supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and
more.

%lang_package -n %{_pkgname_no_slpp}
%prep
%setup -q -n webkitgtk-%{version}
%patch0 -p1
# Disabled since version 2.0.0 - a _constraint file was added, asking for 2200MB HDD and 1400MB memory.
#patch2
%patch3 -p1
%patch6 -p2
%ifarch ppc ppc64 ppc64le s390 s390x
%patch8 -p1
%patch10 -p1
%endif
%patch11 -p1
# FIXME: workaround needed in > 1.7.90 to fix build
mkdir -p DerivedSources/webkit
mkdir -p DerivedSources/WebCore
mkdir -p DerivedSources/ANGLE
mkdir -p DerivedSources/WebKit2/webkit2gtk/webkit2
mkdir -p DerivedSources/WebKit2
mkdir -p DerivedSources/webkitdom/
mkdir -p DerivedSources/InjectedBundle
mkdir -p DerivedSources/Platform

%build
if [ $(gcc -dumpversion | awk -F. '{print $1}') -ge 6 ]; then
  # Remove this GCC6 optimization to fix several runtime issues (e.g. boo#987596)
  RPM_OPT_FLAGS+=" -fno-delete-null-pointer-checks "
fi
%ifarch ppc64 ppc64le
RPM_OPT_FLAGS+=" -mminimal-toc "
%endif
%ifarch %arm
# we'll always want to remove the debug from the build on arm
RPM_OPT_FLAGS="${RPM_OPT_FLAGS/-g / }"
%endif
%ifarch %arm ppc ppc64 ppc64le s390 s390x
RPM_OPT_FLAGS+=" -Wl,--no-keep-memory -Wl,--reduce-memory-overheads "
%endif

#Needed for patch2
#autoreconf --verbose --install -I Source/autotools

#Needed for patch11
autoreconf --verbose --install

# No debug builds.... We run out of about everything with -O2 -g (the .ar becomes > 4.3GB)
export CFLAGS=" $RPM_OPT_FLAGS -g0"
export CXXFLAGS=" $RPM_OPT_FLAGS -g0"

# Use CPPFLAGS to disable jit, webkit#113638
%ifarch %arm ppc ppc64 ppc64le s390 s390x
export CPPFLAGS="-DENABLE_JIT=0 -DENABLE_YARR_JIT=0 -DENABLE_ASSEMBLER=0"
%endif

%configure \
        --with-gtk=%{_gtkver} \
        --enable-geolocation \
        --enable-introspection \
        --enable-javascript-debugger \
        --disable-static \
        --enable-shared \
        --with-gstreamer=1.0 \
%if %{_withwk2}
        --enable-webkit2
%else
        --disable-webkit2
%endif
make %{?_smp_mflags}

%install
%makeinstall
%find_lang WebKitGTK-%{_gtkver} %{no_lang_C}
# for webkitgtk3, we rename %{_datadir}/gtk-doc/html/webkitgtk to %{_datadir}/gtk-doc/html/webkitgtk3
%if %{build_for_gtk3}
mv %{buildroot}%{_datadir}/gtk-doc/html/webkitgtk %{buildroot}%{_datadir}/gtk-doc/html/%{name}
mv %{buildroot}%{_datadir}/gtk-doc/html/webkitdomgtk %{buildroot}%{_datadir}/gtk-doc/html/webkitdomgtk%{?_develnamever}
%if %{_withwk2}
# Clean up some buildroot references in binaries
chrpath --delete %{buildroot}%{_libexecdir}/WebKitPluginProcess
chrpath --delete %{buildroot}%{_libexecdir}/WebKitWebProcess
%endif
%endif
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%post -n libwebkitgtk%{_sover} -p /sbin/ldconfig

%postun -n libwebkitgtk%{_sover} -p /sbin/ldconfig

%if %{_withwk2}
%post -n libwebkit2gtk%{_wk2sover} -p /sbin/ldconfig

%postun -n libwebkit2gtk%{_wk2sover} -p /sbin/ldconfig
%endif

%post -n libjavascriptcoregtk%{_sover} -p /sbin/ldconfig

%postun -n libjavascriptcoregtk%{_sover} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n libwebkitgtk%{_sover}
%defattr(-,root,root)
%doc Source/WebCore/LICENSE-APPLE Source/WebCore/LICENSE-LGPL-2 Source/WebCore/LICENSE-LGPL-2.1 Source/WebKit/LICENSE Source/WebKit/gtk/NEWS
%{_libdir}/libwebkitgtk-%{_sonamever}.so.*
%{_datadir}/webkitgtk-%{_sonamever}/

%if %{_withwk2}
%files -n libwebkit2gtk%{_wk2sover}
%defattr(-,root,root)
%{_libdir}/libwebkit2gtk-%{_sonamever}.so.*
%{_libexecdir}/WebKitNetworkProcess
%{_libexecdir}/WebKitPluginProcess
%{_libexecdir}/WebKitWebProcess

%files -n webkit2gtk-3_0-injected-bundles
%defattr(-,root,root)
%dir %{_libdir}/webkit2gtk-3.0
%dir %{_libdir}/webkit2gtk-3.0/injected-bundle
%{_libdir}/webkit2gtk-3.0/injected-bundle/libwebkit2gtkinjectedbundle.so
%endif

%files -n libjavascriptcoregtk%{_sover}
%defattr(-, root, root)
%doc Source/JavaScriptCore/COPYING.LIB Source/WebKit/gtk/NEWS
%{_libdir}/libjavascriptcoregtk-%{_sonamever}.so.*

%files -n typelib-1_0-WebKit-%{_sonameverpkg}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/WebKit-%{_sonamever}.typelib

%if %{_withwk2}
%files -n typelib-1_0-WebKit2-%{_sonameverpkg}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/WebKit2-%{_sonamever}.typelib

%files -n typelib-1_0-WebKit2WebExtension-%{_sonameverpkg}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/WebKit2WebExtension-%{_sonamever}.typelib
%endif

%files -n typelib-1_0-JavaScriptCore-%{_sonameverpkg}
%defattr(-,root,root)
%{_libdir}/girepository-1.0/JavaScriptCore-%{_sonamever}.typelib

%files -n libwebkitgtk%{?_develnamever}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/%{name}/
%doc %{_datadir}/gtk-doc/html/webkitdomgtk%{?_develnamever}
%{_libdir}/libjavascriptcoregtk-%{_sonamever}.so
%{_libdir}/libwebkitgtk-%{_sonamever}.so
%{_libdir}/pkgconfig/javascriptcoregtk-%{_sonamever}.pc
%{_libdir}/pkgconfig/webkit%{_pkgconfig_suffix}.pc
%{_includedir}/webkitgtk-%{_sonamever}/
%{_datadir}/gir-1.0/*.gir
%if %{_withwk2}
%doc %{_datadir}/gtk-doc/html/webkit2gtk/
%{_libdir}/libwebkit2gtk-%{_sonamever}.so
%{_libdir}/pkgconfig/webkit2%{_pkgconfig_suffix}.pc
%{_libdir}/pkgconfig/webkit2gtk-web-extension*.pc
%endif

%files -n webkit-jsc-%{_jscver}
%defattr(-,root,root)
%{_bindir}/jsc-%{_jscver}

%files -n %{_pkgname_no_slpp}-lang -f WebKitGTK-%{_gtkver}.lang

%changelog
* Sun Jul 31 2016 antoine.belvire@laposte.net
- Disable GCC's delete-null-pointer-checks optimization to fix
  various runtime issues (e.g. boo#987596)
* Wed Jun  8 2016 dimstar@opensuse.org
- Toggle _withwk2 back to 0: WebKit2 has long been split into an
  own package and builds WebKit2 API 4.0.
* Mon May 23 2016 dimstar@opensuse.org
- Add webkitgtk-abs_to_fabs.patch: use fabs() instead of abs() on
  floating point values.
* Fri Apr 15 2016 hpj@suse.com
- Update to GNOME 3.20 -- Fate#318572.
- Drop
  webkitgtk-bnc922895-cve-2015-2330-late-tls-cert-verification.patch,
  webkitgtk-compile-when-WK2-disabled.patch,
  webkitgtk-js-endian-fixes.patch,
  webkitgtk-protocall-endian-fix.patch (fixed upstream).
* Tue Apr 12 2016 zaitor@opensuse.org
- Update to version 2.4.11:
  + Fix a crash when changing elment attributes with DOM bindings.
  + Fix the build on ARM64.
  + Updated translations.
- Rebase webkitgtk-aarch64.patch.
* Tue Mar 15 2016 dimstar@opensuse.org
- Update to version 2.4.10:
  + Fix rendering of form controls and scrollbars with GTK+ >= 3.19
  + Fix crashes on PPC64.
  + Fix the build on powerpc 32 bits.
  + Add ARM64 build support.
  + Security fixes: CVE-2015-1120, CVE-2015-1076, CVE-2015-1071,
    CVE-2015-1081, CVE-2015-1122, CVE-2015-1155, CVE-2014-1748,
    CVE-2015-3752, CVE-2015-5809, CVE-2015-5928, CVE-2015-3749,
    CVE-2015-3659, CVE-2015-3748, CVE-2015-3743, CVE-2015-3731,
    CVE-2015-3745, CVE-2015-5822, CVE-2015-3658, CVE-2015-3741,
    CVE-2015-3727, CVE-2015-5801, CVE-2015-5788, CVE-2015-3747,
    CVE-2015-5794, CVE-2015-1127, CVE-2015-1153, CVE-2015-1083.
  + Updated translations.
- Rebase webkitgtk-aarch64.patch, webkitgtk-commit-size.patch.
- Drop webkitgtk-js-endian-fixes.patch and
  webkitgtk-protocall-endian-fix.patch: fixed upstream.
* Wed Mar  2 2016 dimstar@opensuse.org
- Switch to geoclue2: replace pkgconfig(geoclue) BuildRequires with
  pkgconfig(geoclue-2.0).
* Tue Aug  4 2015 zaitor@opensuse.org
- Modify _constraints file for armv6l/armv7l arches to sizes so low
  that in practice it's disabled.
* Mon Jun 15 2015 schwab@suse.de
- Update webkitgtk-aarch64.patch: update aarch64 support, backports
  from upstream.
* Thu May 21 2015 zaitor@opensuse.org
- Update to version 2.4.9:
  + Check TLS errors as soon as they are set in the SoupMessage to
    prevent any data from being sent to the server in case of
    invalid certificate.
  + Clear the GObject DOM bindings internal cache when frames are
    destroyed or web view contents are updated.
  + Add HighDPI support for non-accelerated compositing contents.
  + Fix some transfer annotations used in GObject DOM bindings.
  + Use latin1 instead of UTF-8 for HTTP header values.
  + Fix synchronous loads when maximum connection limits are
    reached.
  + Fix a crash ScrollView::contentsToWindow() when GtkPluginWidget
    doesn't have a parent.
  + Fix a memory leak in webkit_web_policy_decision_new.
  + Fix g_closure_unref runtime warning.
  + Fix a crash due to empty drag image during drag and drop.
  + Fix rendering of scrollbars with GTK+ >= 3.16.
  + Fix the build on mingw32/msys.
  + Fix the build with WebKit2 disabled.
  + Fix the build with accelerated compositing disabled.
  + Fix clang version check in configure.
  + Fix the build with recent versions of GLib that have
    GMutexLocker.
  + Fix the build for Linux/MIPS64EL.
- Drop webkitgtk-hidpi.patch,
  webkitgtk-compile-when-WK2-disabled.patch,
  webkitgtk-WTF-GMutexLocker.patch and webkitgtk-gcc5-fixes.patch:
  Fixed upstream.
- Rebase webkitgtk-aarch64.patch.
* Mon May 11 2015 zaitor@opensuse.org
- Add webkitgtk-hidpi.patch: Make webkitgtk usable on HiDPI
  screens, patch is ignored upstream as it's fixed on 2.6 branch.
* Wed May  6 2015 dmueller@suse.com
- add webkitgtk-gcc5-fixes.patch: Fix build with GCC 5.x
* Thu Mar 19 2015 federico@suse.com
- Enabled building of the webkit2 API packages; devhelp requires this.
- Added webkitgtk-bnc922895-cve-2015-2330-late-tls-cert-verification.patch
  for bnc#922895 - CVE-2015-2330, perform TLS certificate validation
  at the right time, before sending the HTTP request.
* Mon Feb 23 2015 dimstar@opensuse.org
- Add webkitgtk-WTF-GMutexLocker.patch: Fix build with GLib 2.43.4.
  WebKit and GLib both have a GMutexLock in tree, which conflict.
  Ensure WebKit uses its own WTF::GMutexLocker implementation.
* Sun Jan 11 2015 zaitor@opensuse.org
- Update to version 2.4.8:
  + Fix SSL connection issues with some websites after the POODLE
    vulnerability fix.
  + Fix a crash when loading flash plugins.
  + Fix build on GNU Hurd - Fix build on OS X.
  + Fix documentation of webkit_print_operation_get_page_setup().
  + Security fixes: CVE-2014-1344, CVE-2014-1384, CVE-2014-1385,
    CVE-2014-1386, CVE-2014-1387, CVE-2014-1388, CVE-2014-1389,
    CVE-2014-1390.
- Add webkitgtk-compile-when-WK2-disabled.patch: Fix build when WK2
  is disabled.
- Pass autoreconf and enable libtool BuildRequires: Needed for
  above patch since it touches the buildsystem.
- Bugs fixed: boo#871792, boo#879607 and boo#879607.
* Sat Oct 25 2014 dimstar@opensuse.org
- Update to version 2.4.7:
  + SSLv3 is now disabled in WebKit2 to protect us against POODLE
    vulnerability.
  + Fix the remote web inspector.
  + Fix rendering of buttons, selections and lists with recent GTK+
    versions.
  + Fix the build with drag and drop support disabled.
  + Fix the build with video support disabled.
  + Fix a crash in the plugin process with some windowed flash
    plugins.
  + TLS errors now take precedence over the HTTP authentication
    dialog.
  + Do not shrink on-disk cache to its default size on startup.
  + Don’t include full path names in WebKitEnumTypes.h to ensure
    the generated headers are always identical.
* Mon Sep 29 2014 dimstar@opensuse.org
- Update to version 2.4.6:
  + Use free icons for the web inspector.
  + Make vimeo videos work again with the GStreamer media backend.
  + Fix selection rendering when unfocused with recent GTK+
    versions.
  + Fix toggle buttons rendering with recent GTK+ versions.
  + Fix race condition when downloading a file due to the
    intermediate temporary file.
* Tue Aug 26 2014 zaitor@opensuse.org
- Update to version 2.4.5:
  + Do not freeze the UI process while scanning plugins if there's
    a GTK+ 3 plugin installed.
  + Fix a crash when drag and drop to a WebKitWebView.
  + Fix a crash when navigating away from a web page containing an
    ogg video.
  + Fix slow motion rendering problem in GStreamer media backend
    due to integer rounding.
  + Make sure the plugins cache is always used even if the cache
    directory doesn’t exist.
  + Fix toggle buttons rendering with recent GTK+ versions.
  + Do not use GtkWindow:resize-grip-visible with recent GTK+
    versions.
  + Add support for little-endian PowerPC64.
- Drop webkitgtk-ppc64le.patch: Fixed upstream, though via an other
  approach then our patch.
* Wed Aug 20 2014 dimstar@opensuse.org
- Disable building of WebKit 2 API implementation (only impacts
  GTK3 variant, as there never was a WebKit2 API for GTK2). This is
  done in order to provide WebKit2 builds as newer versions.
  Upstream is no longer maintaining WebKit1 APIs - so the 2.4.x
  branch will be the latest releases.
- Fix build of GTK3 variant with WebKit2 support disabled.
* Tue Aug 19 2014 normand@linux.vnet.ibm.com
- Apply webkitgtk-commit-size.patch also on ppc64le and sligthly
  modify this patch to be same as on fedora (bnc#883026).
* Mon Aug  4 2014 dvaleev@suse.com
- Add webkitgtk-ppc32.patch: Fix ppc32 build; Webkit2 doesnt build
  on powerpc 32 bits (webkit#130837).
* Wed Jul 23 2014 dimstar@opensuse.org
- Rename _constraint to _constraints, so it actually applies.
* Thu Jul 10 2014 dimstar@opensuse.org
- Update to version 2.4.4:
  + Fix annoying popup shown when visiting 8tracks.com.
  + Expose links rendered as blocks to accessibility.
  + Make text inside "span" block in "a" block accessible.
  + Implement windowed plugins visibility.
  + Fix the GObject introspection annotations of
    webkit_web_resource_get_data_finish().
  + Fix a crash in TSymbolTableLevel::~TSymbolTableLevel when
    WebKit is built with GCC 4.9.
  + Fix a crash when playing a video in facebook.
  + Several user agent changes to fix Google Maps and a few other
    issues.
  + Allo to include WebKitVersion.h from web extensions API too.
  + Fix web process leak when closing pages with network process
    enabled.
  + Fix the build with --disable-webgl
  - -disable-accelerated-compositing.
* Tue Jul  1 2014 dimstar@opensuse.org
- Update to version 2.4.3:
  + Fix video playback rate used when resuming in GStreamer media
    backend.
  + Use GstMetaVideo as announced by WebKitVideoSink to fix some
    decoders and filters that rely on buffer's meta rather that in
    the caps structures.
  + Do not pass a valid pointer as redirected-response parameter to
    WebKitWebPage::send-request signal when not redirecting.
  + Add missing files to the build required for building on
    Windows.
* Wed Jun  4 2014 mgorse@suse.com
- webkitgtk-commit-size.patch: Fix and rebase.
- webkitgtk-protocall-endian-fix.patch: Don't patch ChangeLog; it
  makes the patch need rebasing any time we update.
* Sun May 18 2014 mgorse@suse.com
- Add webkitgtk-commit-size.patch: call mprotect with appropriate
  arguments on ppc64/s390x (bnc#866728 bgo#721569).
- Add webkitgtk-js-endian-fixes.patch,
  webkitgtk-protocall-endian-fix.patch: endian fixes (bnc#866728
  bgo#721569).
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 2.4.2:
  + Correctly handle TLS errors in case of a server redirection.
  + Fix a crash when submitting a form.
  + Fix several JavaScriptCore crashes when browsing facebook.
  + Fix a crash when closing a page with windowed plugins.
  + Fix a crash after getting web view context property with
    g_object_get.
  + Fix a new[] delete[] mismatch in SocketStreamHandleSoup.
* Tue Apr 15 2014 zaitor@opensuse.org
- Update to version 2.4.1:
  + Add CORS support for media elements to GStreamer media backend.
  + Fix wrong flags used in fcntl call that failed in FreeBSD.
  + Correctly handle HTTP authentication for cross-origin requests.
  + Correctly handle cookies for cross-origin requests.
  + Fix a crash in the plugin process with some plugins that
    redefine NPN functions.
  + Fix acceletared video when the video format has an alpha
    component.
  + Fix sites using geolocation after reloading when using
    Geoclue2.
  + Append Safari version to UserAgent to fix redirections in
    www.globalforestwatch.org.
* Tue Mar 25 2014 dimstar@opensuse.org
- Update to version 2.4.0:
  + Support for multiple web processes.
  + DOM touch events support.
  + Plugins cache.
  + Process model API.
  + TLS errors API.
  + Lots of bugs fixed.
* Wed Mar 19 2014 dimstar@opensuse.org
- Update to version 2.3.92:
  + Add support for Geoclue2.
  + Always finalize the soup session object when the networking
    process finishes.
  + Make sure the web process doesn’t finish if there’s an ongoing
    print operation.
  + Fix runtime critical warnings about main loop sources not found
    when trying to remove them.
  + Fixed several crashes in JavaScriptCore when visiting facebook.
  + Improve CSS properties performance.
  + Fix web process leak when the WebView is leaked by the
    application.
  + Fix the build when using vala bindings due to UI and web
    process main headers included together.
* Mon Mar  3 2014 dimstar@opensuse.org
- Update to version 2.3.91:
  + Use a persistent cache for plugins metadata to avoid locking
    the UI while scanning plugins during page loads.
  + Make the web inspector always load in multiprocess mode.
  + Add a pkg-config file for WebKit2 web process extensions API.
  + Fix the generation of g_return macros for GObject DOM bindings
    in some cases where non pointer parameters were handled as
    pointers.
  + Enable DFG_JIT on FreeBSD.
  + Use system default compiler instead of gcc when building DOM
    generated sources.
  + Several build fixes for FreeBSD.
  + Fix the build with wayland support enabled.
* Fri Feb 21 2014 dimstar@opensuse.org
- Update to 2.3.90:
  + Add initial touch support to WebKit2.
  + Add API to create a WebKitWebView related to another one to
    share the same Web Process.
  + Create the inspector view using the same web process as the
    inspected page.
  + Fix wrong mix of fcntl commands and flags in WebKit2.
  + Fix marshaller used in WebKitWebPage::document-loaded signal.
  + Fix a crash in GStreamer media backend when playback rate is
    too high.
  + Fix the build on FreeBSD.
* Thu Feb 20 2014 dimstar@opensuse.org
- Update to version 2.3.5:
  + Add API to allow setting a multiple web process model.
  + Add API to pass initialization user data from the UI process to
    the web extensions.
  + Implement languages support with network process.
  + Implement custom URI schemes with network process.
  + Disable MemoryCache when the DOCUMENT_VIEWER cache model is
    set.
  + Expose aria-describedby with ATK_RELATION_DESCRIBED_BY.
  + Fix a bug that prevented from entering fullscreen again in
    HTML5 videos after fullscreen was left with ESC.
  + Set playback rate when pipeline is not ready in GStreamer media
    backend.
  + Fix a lockup when playing Icecast radio in GStreamer media
    backend.
  + Fix a web process crash when a download is cancelled.
  + Fix several crashes when printing via JavaScript.
* Thu Feb 20 2014 dimstar@opensuse.org
- Update to version 2.3.4:
  + Add API to WebKitResponsePolicyDecision to check if the MIME
    type can be shown.
  + Enable fullscreen API by default.
  + Fix handling of HTTP certificates with the network process
    enabled.
  + Fix downloads with the network process enabled.
  + Fix handling of cookies when network process is enabled.
  + Remove the partial file downloaded when the download operation
    fails or is cancelled.
  + Make WebKitWebPage::send-request signal work after a redirect.
  + Add xdg.origin.url extended attribute to downloads in WebKit2.
  + Fix WebGL with GLES.
  + Updated translations.
- Create new subpackage
  typelib-1_0-WebKit2WebExtension-3.0 when building for GTK+ 3.0.
- Add webkitgtk-x86-assembler-fix.patch: Fix build creating invalid
  assembler code on x86.
* Thu Feb 20 2014 dimstar@opensuse.org
- Update to version 2.3.3:
  + Render AC layers also when using GTK+ 2 in WebKit1.
  + Avoid extra copy when drawing images in cairo backend.
  + Fix return value of webkit_web_view_get_view_source_mode() in
    WebKit1.
  + Fix scrolling in combo boxes when the dropdown menu is larger
    than the screen.
  + Remove Chromium as user agent and claim to be Safari in OS X.
  + Fix a crash in the WebProcess when visiting www.pressure.co.uk.
  + Fix a crash JavaScriptcore with certain Google Drive documents.
  + Fix a crash in JavaScriptcore when running peacekeeper
    benchmark in 32 bit platforms.
  + Fix the build with freetype >= 2.5.1.
- Drop webkitgtk-use-recommended-freetype-include.patch: fixed
  upstream.
- Rebase webkitgtk-aarch64.patch.
- Add chrpath BuildRequires.
- Use chrpath to remove RPath references to buildroot from
  installed binaries.
* Thu Feb 20 2014 dimstar@opensuse.org
- Update to version 2.3.2:
  + Add enable-media-stream setting to WebKit2 GTK+ API.
  + Fix a crash when load fails due to SSL errors in WebKit2.
  + Add support audio and video tracks to GStreamer media backend.
  + Properly expose video and audio elements to accessibility.
  + Fix invalid cairo matrix when drawing too small surfaces.
  + Avoid extra copy when drawing images using cairo.
  + Do not omit playback rate when seeking in GStreamer media
    backend.
  + Several build fixes on non-linux platforms.
- Changes from version 2.3.1:
  + Add WebKit2 API for TLS errors.
  + Make EventTarget interface introspectable in GObject DOM
    bindings.
  + Expose WheelEvent in the GObject DOM bindings API.
  + Generate API documentation for GObject DOM bindings.
  + Respect image orientation by default.
  + Enable text edition undo/redo operations support in WebKit2.
  + Add suppport for blob URLs to GStreamer media backend.
  + Add support for subtitles.
  + Allow running the web process with an arbitrary prefix command
    in debug builds.
  + Expose image links properly to accessibility.
  + Expose title and alternative text for links in image maps to
    accessibility.
  + Cancel the current active WebKitAuthenticationRequest on load
    fail.
  + Fix several memory leaks.
- Rebase webkitgtk-aarch64.patch.
* Thu Feb 20 2014 zaitor@opensuse.org
- Update to version 2.2.5:
  + Fix a crash in GStreamer media backend when playback rate is
    too high.
  + Fix wrong mix of fcntl commands and flags in WebKit2.
  + Fix a crash in facebook when hovering images.
  + Fix a crash when loading tbpl.mozilla.org.
  + Fix text encoding of pages loaded with
    webkit_web_view_load_html() in WebKit2.
  + Fix marshaller used in WebKitWebPage::document-loaded signal.
  + Fix a bug that prevented from entering fullscreen again in
    HTML5 videos after fullscreen was left with ESC.
  + Fix a web process crash when a download is cancelled.
  + Fix the build on FreeBSD.
* Tue Jan 28 2014 zaitor@opensuse.org
- Update to version 2.2.4:
  + Disable MemoryCache when the DOCUMENT_VIEWER cache model is
    set.
  + Remove the partial file downloaded when the download operation
    fails or is cancelled.
  + Enable Web Audio by default in configure.
  + Add missing mappings from ARIA roles to ATK roles.
  + Fix several crashes when printing via JavaScript.
  + Fix an X11 error when the backing store surface is destroyed.
  + Fix the user agent string to correctly pretend to be Mac OS X
    to fix several web sites that depen on the user agent like
    yahoo.
  + Fix the build with wayland support disabled.
  + Fix the build in FreeBSD.
  + Fix the build in Mac/Darwin.
  + Fix the build with GCC in i386.
- Drop webkitgtk-use-recommended-freetype-include.patch, fixed
  upstream.
* Mon Dec 23 2013 uweigand@de.ibm.com
- Add webkitgtk-ppc64le.patch: Support powerpc64le-linux.
- Inject same C(PP)FLAGS as for ppc64.
* Sat Dec 14 2013 hrvoje.senjan@gmail.com
- Add webkitgtk-use-recommended-freetype-include.patch: Freetype
  upstream recommends using their macros together with ft2build
  include. Positive sideeffect is that this patch makes it build
  with both freetype2 2.5.1, and older versions.
* Fri Nov 15 2013 dimstar@opensuse.org
- Update to version 2.2.2 (bnc#849913):
  + Fix a crash when printing via JavaScript in WebKit2.
  + Enable text edition undo/redo operations support in WebKit2.
  + Fix the build on non-linux platforms.
- Rebase webkitgtk-aarch64.patch.
* Wed Oct 16 2013 dimstar@opensuse.org
- Update to version 2.2.1:
  + Fix a crash in JavaScriptCore when visiting google groups.
  + Fix a crash in JavaScriptCore when trying to send a message via
    'today's birthdays' dialogue box on Facebook.
  + Make sure the GtkWidget used for windowed plugins is destroyed
    when the plugin instance is destroyed.
  + Fix the build with drag and drop support disabled.
- define _name webkitgtk: helps osc collab to not trip over the
  two spec files at each update.
* Sun Oct  6 2013 dmueller@suse.com
- Fix optflags mangling on arm (replace "-g ", as there can be
  other buildflags starting with -g).
* Fri Sep 27 2013 zaitor@opensuse.org
- Update to version 2.2.0:
  + Bump the GTK+ Wayland dependency to 3.10
  + Fix the build with GTK+ 2.0.
- Drop webkitgtk-gtk2.patch, fixed upstream.
* Mon Sep 23 2013 dimstar@opensuse.org
- Fix _constraints: we meant to ask for memory (physical), not
  disk space.
* Sat Sep 21 2013 dimstar@opensuse.org
- Change _constraints: as we now build parallel, we do require more
  memory. In tests, it seems we require ~ 3000M, so requesting
  3200M to start with.
* Sat Sep 21 2013 dimstar@opensuse.org
- Change RPM Group of libwebkitgtk-1_0-0 and libwebkitgtk-3_0-0 to
  System/Libraries, in accordance with the packaging guidelines.
* Wed Sep 18 2013 dimstar@opensuse.org
- Update to version 2.1.92:
  + Switch to the new Web Inspector.
  + Reimplement several accessibility methods to not require Gail
    and Pango.
  + Allow to run in a Wayland environment even when WebKitGTK+ has
    been built with accelerated compositing support enabled,
    falling back to software rendering in such case since
    accelerated compositing is not supported yet under Wayland.
  + Enable the Wayland target by default if the GTK+ Wayland
    dependency is available.
  + Fix web inspector rendering when docked in a page that uses
    accelerated compositing.
  + Do not try to parse incomplete HTTP requests in the web
    inspector.
  + Use WEBKIT_TYPE_DOWNLOAD instead of G_TYPE_OBJECT for the
    argument of the WebKitWebView::download-requested signal in
    WebKit1.
  + Add allow-none introspection annotation to parameters that can
    be NULL in GObject DOM bindings.
  + Honor the --disable-gtk-doc configure option.
  + Fix the build on directories containing spaces.
  + Allow to build when the build directory is in a different
    partition.
  + Updated translations.
- Add webkitgtk-gtk2.patch: Fix build with GTK+ 2.0.
- Enable parallel build. The OOM usually happened during linking,
  not building; and the linker is not executed in parallel anyway.
* Wed Sep 11 2013 dimstar@opensuse.org
- Update to version 2.1.91:
  + Add a cancelled signal to WebKitAuthenticationRequest in
    WebKit2 GTK+ API.
  + Add support for building with Wayland as the target.
  + Fix issues with rtsp streams embedded on <video> not loading.
  + Fix the media player to not set the system volume to 100%%.
  + Ensure volume slider value is 0 when audio is muted.
  + Make GStreamer source element thread-safe.
  + Adjust internal size on GStreamer source element when receiving
    data if necessary.
  + Disable accelerated compositing if the system doesn't support
    it.
  + Fix rendering of input buttons text with recent
    gnome-themes-standard.
  + Fix the cursor rendering when the mouse is over an image
    document with recent versions of GTK+.
  + Fix a crash in some cases when context menu is shown.
  + Fix the build on GNU/Hurd.
  + Updated translations.
* Wed Sep  4 2013 idonmez@suse.com
- Use CPPFLAGS to disable JIT instead of %%extraconfigure;
  otherwise it fails on some platforms, most notably s390x
  See webkit#113638.
* Mon Sep  2 2013 dimstar@opensuse.org
- Update to version 2.1.90.1:
  + Adds support for maintainer mode, so that the GNOME continuous
    integration will be able to forbid autotools regeneration.
  + Added DOM bindings symbols that got removed from the IDL back
    for ABI compatibility.
* Wed Aug 28 2013 dimstar@opensuse.org
- Update to version 2.1.90:
  + Add API to inject custom JavaScript to WebKit2 Web Extensions
    API.
  + Add support for running JavaScript code in isolated worlds to
    WebKit2 Web Extensions API.
  + Expose WebKitFrame in WebKit2GTK+ Web Extensions API.
  + Fix the volume slider track shown when muted.
  + Cancel authentication dialog when the load fails.
  + Fix a crash in WebKit1 when inspector window is closed.
  + Updated translations.
* Mon Aug 12 2013 dimstar@opensuse.org
- Update to version 2.1.4:
  + Add WebKitWebView::authenticate signal to WebKit2 GTK API.
  + Expose KeyboardEvent in GObject DOM bindings.
  + Implement attributesOfChildren() for AccessibilityUIElement.
  + Implement allAttributes() for AccessibilityUIElement.
  + Fix issues with edge cases when getting offsets for a text
    range in AtkText.
  + Remote inspector server now notifies about errors when loading
    resurces.
  + Disable HTTP request "Accept-Encoding:" header field on
    gstreamer source element to avoid receiving the wrong size when
    retrieving data.
  + Fix the final position when receiving several seek calls in a
    row, in GStreamer media backend.
  + When rendering accelerated video, upload onto the texture only
    the buffer to be painted.
  + Fix response property definition of
    WebKitResponsePolicyDecision.
  + Fix a crash in WebKit1 when the WebView is created and
    destroyed too fast.
  + Fix a crash in UI process when the web process crashes.
  + Fix a crash in WebKit2 when a context menu item is selected
    after the page has been closed.
  + Fix a crash when getting the editor command for a key event
    initiated by the web inspector.
  + Fix the build when building with GTK+ 2.
  + Fix several memory leaks.
- Drop webkitgtk-gtk2-buildfix.patch: fixed upstream.
* Tue Jul  9 2013 dimstar@opensuse.org
- Update to version 2.1.3:
  + Add support for preload="metadata" to GStreamer media backend.
  + Do not expose '\n' for wrapped lines with
    ATK_TEXT_BOUNDARY_CHAR.
  + Fix potential race condition in GStreamer media backend when
    getting the video sink caps.
  + Fix performance issues rendering a page with animations.
  + Several fixes and improvements in GStreamer video accelerated
    compositing support.
  + Adjust internal size on GStreamer HTTP source element when
    receiving data if necessary.
  + Actually disable the memory cache when DOCUMENT_VIEWER cache
    model is used in WebKit1.
  + Fix runtime critical warning in WebKit2 when unloading a module
    that failed to load.
  + Fix several memory leaks.
- Rebase webkitgtk-gtk2-buildfix.patch.
* Mon Jun 24 2013 dimstar@opensuse.org
- Add webkitgtk-gtk2-buildfix.patch: Re-establish compatibility
  with GTK+ 2.0.
* Fri Jun 21 2013 dimstar@opensuse.org
- Update to version 2.1.2:
  + Set the subresources load priority using new libsoup API
    available in 2.43.
  + Do not use X11 WidgetBackingStore implementation in Wayland.
  + Support using GLContext from multiple threads.
  + Make sure gstreamer source element is thread-safe.
  + Prevent race condition when pad caps is set on gstreamer
    player.
  + Invalidate the ProcessLauncher when the process is terminated
    before it has finished launching
  + Use custom cairo code instead of Pango API for highlighting
    misspelled words.
  + Respect PKG_CONFIG env variable when generating gtk-doc.
  + Fix a crash due to an assert in gstreamer backend when seeking.
  + Fix memory leak when web process is terminated.
  + Updated translations.
- Rename typelib-1_0-JSCore-(1.0|3.0) subpackage to
  typelib-1_0-JavaScriptCore-(1.0|3.0), following upstreams name
  change.
- Add webkitgtk-typelib-sharelib-link.patch: JavaScriptCore-3.0
  typelib is not fully automatically processed (manual .gir file),
  and as a result does not contain the correct library name
  registered, which we need in turn for the g-i-dep-scanner to work
  reliably.
* Mon Jun 17 2013 dimstar@opensuse.org
- Update to version 2.1.1:
  + Bugs fixed: webkit#104672, webkit#106242, webkit#107248,
    webkit#109061, webkit#109439, webkit#109932, webkit#109989,
    webkit#110512, webkit#110582, webkit#110699, webkit#110944,
    webkit#111028, webkit#111042, webkit#111112, webkit#111234,
    webkit#111266, webkit#111289, webkit#111382, webkit#111398,
    webkit#111738, webkit#111756, webkit#111813, webkit#111817,
    webkit#111830, webkit#111877, webkit#111899, webkit#111903,
    webkit#111929, webkit#111936, webkit#111980, webkit#112055,
    webkit#112079, webkit#112114, webkit#112194, webkit#112277,
    webkit#112368, webkit#112405, webkit#112435, webkit#112464,
    webkit#112506, webkit#112546, webkit#112688, webkit#112778,
    webkit#112808, webkit#112947, webkit#113254, webkit#113282,
    webkit#113391, webkit#113436, webkit#113494, webkit#113562,
    webkit#113627, webkit#113645, webkit#113685, webkit#113767,
    webkit#113808, webkit#113851, webkit#113927, webkit#113994,
    webkit#113995, webkit#113999, webkit#114016, webkit#114029,
    webkit#114065, webkit#114130, webkit#114141, webkit#114164,
    webkit#114168, webkit#114243, webkit#114265, webkit#114285,
    webkit#114473, webkit#114483, webkit#114490, webkit#114493,
    webkit#114520, webkit#114554, webkit#114556, webkit#114613,
    webkit#114710, webkit#114750, webkit#114819, webkit#114835,
    webkit#114915, webkit#114931, webkit#114983, webkit#115339,
    webkit#115374, webkit#115459, webkit#115635, webkit#115712,
    webkit#115714, webkit#115718, webkit#115732, webkit#115921,
    webkit#115965, webkit#115967, webkit#116128, webkit#116142,
    webkit#116210, webkit#116227, webkit#116237, webkit#116372,
    webkit#116415, webkit#116428, webkit#116430, webkit#116448,
    webkit#116452, webkit#116732, webkit#89875, webkit#94792,
    webkit#97324.
- Drop webkit-gir-fixup.patch: No longer needed.
- Drop webkitgtk-double2ints.patch: fixed upstream.
- Rebase webkitgtk-aarch64.patch.
* Sun Jun 16 2013 zaitor@opensuse.org
- Update to version 2.0.3:
  + Fix rendering of WebKitWebView child widgets with recent GTK+.
  + Use the inner node frame instead of the target frame to
    calculate the point of a hit test result in WebKit1.
  + Fix a crash when terminating a process that has not been fully
    launched.
  + Fix race conditions closing the socket descriptor when the web
    process crashes.
  + Fix a crash when a web page is closed.
  + Fix a crash when child iframe is removed during beforeload.
  + Fix parallel build when gtk-doc is enabled.
  + Fix build with MinGW compiler because of invalid cast.
  + Fix the build with WebAudio enabled.
  + Respect PKG_CONFIG env variable when generating gtk-doc.
  + Fix memory leak in WebKitBackForwardList.
  + Fix memory leak when web process is terminated.
  + Updated translations.
* Mon May 13 2013 dimstar@opensuse.org
- Update to version 2.0.2:
  + Honor preload="none" attribute in GStreamer backend.
  + Make the GStreamer not to do memory buffering when preload set
    to none.
  + Fix loading of plugins when MIME Type is not provided but can
    guessed from the file extension.
  + Fix a crash with some locales due to some property names marked
    for translation by mistake.
  + Fix a double-free in WebKitWebPlugin.
  + Support C++11 static_assert.
  + Fix the build without GStreamer.
  + Fix the build with GCC 4.8 due to maybe-uninitialized errors.
  + Fix the build due to unresolved symbols in
    ProcessLauncherGtk.cpp.
  + Updated translations.
- Drop webkitgtk-socketpair-includes.patch: fixed upstream.
- Comment out libtool BuildRequires and call to autoreconf: we also
  disabled webkit-ld-optimization.patch, which is the patch needing
  these.
* Sun May 12 2013 schwab@suse.de
- Add webkitgtk-aarch64.patch: add support for aarch64.
- Add webkitgtk-double2ints.patch: define missing Double2Ints
  function.
* Fri May 10 2013 dimstar@opensuse.org
- Add webkitgtk-socketpair-includes.patch: Add missing includes
  for webkitgtk3.
* Thu Apr 25 2013 dimstar@opensuse.org
- Rename %%{_datadir}/gtk-doc/html/webkitgtk to
  %%{_datadir}/gtk-doc/html/%%{name}: on webkitgtk (for GTK2), this
  means no change, but the gtk-doc for webkigtk (for GTK3) will be
  renamed to %%{_datadir}/gtk-doc/html/webkitgtk3: this allows to
  parallel install libwebkitgtk-devel and libwebkitgtk3-devel
  without conflicts.
* Wed Apr 17 2013 dimstar@opensuse.org
- Update to version 2.0.1:
  + Fix a crash in Web Process when the UI process finishes too
    early.
  + Fix load notification of main resource when loaded from the
    memory cache.
  + Fix GObject DOM generation to make sure the right GType is
    used for every wrapped object.
  + Fix the build with non-bash shells.
  + Fix WebKit1 build in windows.
  + Updated translations.
* Wed Mar 27 2013 dimstar@opensuse.org
- Update to version 2.0.0:
  + Fix clip region of windowed plugins in WebKit2.
  + Fix compile warning in WebKit2 unit tests.
  + Fix the build with Python 3.
- Drop webkitgtk-sentinel.patch: fixed upstream.
- Disable webkit-ld-optimization.patch (but keep it for now): As
  we disabled the build of debug info, the memory consumption went
  much down already and OBS should be able to handle it now.
- Add a _constraints file: require 2200MB hard disk and 1500MB
  Memory.
- Change _wk2sover defines to -3_0-25, following upstreams soname
  bump.
* Sun Mar 24 2013 dimstar@opensuse.org
- Add webkitgtk-sentinel.patch: Fix missing sentinel brp error.
* Wed Mar 20 2013 dimstar@opensuse.org
- Update to version 1.11.92:
  + Add methods to add and clear user style sheets to the WebKit2
    GTK+ API.
  + Fix visited links style in WebKit2.
  + Add webkit_uri_request_get_http_headers to WebKit2 GTK+ API.
  + Add webkit_web_context_set_disk_cache_directory to WebKit2 GTK+
    API.
  + Add webkit_web_page_get_id() to WebKit2 GTK+ web extensions
    API.
  + Add API to retrieve a snapshot from a WebKitWebView to WebKit2
    GTK+.
  + Add WebKitWebView::web-process-crashed signal to WebKit2 GTK+
    API.
  + Fix WebKitDownload to always return a valid request even if the
    download operation hasn't started yet.
  + Add respect-image-orientation setting to WebKitWebSettings in
    WebKit1 API.
  + Fixed memory leak when loading with
    webkit_web_view_load_request() in WebKit2.
  + Fix charset encoding used for spelling suggestions in the
    WebKit2 context menu.
  + Fix warnings about "Localized string not found" when running
    the web inspector.
  + Stop playback of html5 media when receiving a higher priority
    audio event.
  + Fix the offset handling in GStreamer WebKitWebSource.
  + Replace nbsp with spaces when using X clipboard.
  + Fix a crash in WebKit2 when a WebKitWebView is closed with the
    HTTP authentication dialog open.
  + Fix the build when using deprecated versions of GTK+ 2.
  + Enable translations in WebKit2.
  + Limit the supported compilers to GCC >= 4.7 and Clang >= 3.0
    and enforce C++11 standard when building.
- Drop webkitgtk-gtk2tests.patch: fixed upstream.
* Wed Mar 20 2013 cfarrell@suse.com
- license update: LGPL-2.0+ and BSD-3-Clause
  Post audit refresh
* Thu Mar 14 2013 dimstar@opensuse.org
- Update to version 1.11.91:
  + Add WebKitWebPage::document-loaded signal to WebKit2 GTK+ web
    extensions API.
  + Add webkit_web_page_get_uri to WebKit2 GTK+ web extensions API.
  + Add WebKitWebPage::send-request signal to WebKit2 GTK+ web
    extensions API.
  + Add WebKitWebViewGroup to WebKit2 GTK+ API.
  + Fix Control+Shift+Up/Down selection that worked backwards.
  + Fix "Too many redirects" error when loading certain web sites.
  + Fix rendering of buttons containing floats.
  + Fix the build when using GTK+ 2.
- Drop libwebkit-gtk2build.patch: fixed upstream.
* Mon Mar  4 2013 dimstar@opensuse.org
- Rename source package to webkitgtk(3), following the upstream
  tarball rename (long overdue).
* Mon Mar  4 2013 dimstar@opensuse.org
- Update to version 1.11.90:
  + New HTML5 media controls design.
  + Move the API to get TLS certificate from WebKitURIResponse to
    WebKitWebView in WebKit2.
  + Remove webkit_web_view_get_subresources from WebKit2 GTK+ API.
  + Allow building with Clang.
  + The GLib unicode backend have been removed, leaving ICU as the
    only supported backend.
  + Fix a crash in the GStreamer implementation of
    FullscreenVideoController.
  + Fix a bug that made the audio to be muted when playback rate
    was between 0.8 and 2.0.
  + Fix memory leaks in subresources API in WebKit1.
- Add libwebkit-gtk2build.patch: Fix build against GTK2.
- Add webkitgtk-gtk2tests.patch: Fix one more gtk2 build fallout.
- Bump wk2sover to 3_0-22, following upstreams soname bumps.
* Tue Feb  5 2013 dimstar@opensuse.org
- Update to version 1.11.5:
  + Fix crashes related to libsoup, gstreamer, and accessibility.
  + Implement the WebKit2 resources API using the injected bundle.
  + Add API to prefetch DNS of a given hostname to the WebKit2 API.
  + Move Authentication and Downloads from WebProcess to Shared in
    WebKit2.
  + Many improvements to the GStreamer backend including the
    resurrection of the native fullscreen mode for increased
    performance, support for setPreservesPitch, bug fixes, support
    for Opus files, and some other performance improvements.
  + New features enabled: CSS Image Resolution, CSS Image
    Orientation, and the performance timeline in the Web Inspector
    via resource timing and navigation timing.
  + Add support for blend modes to the Cairo backend.
  + Fix for checkSpellingOfString erroneously treating multiple
    words as spelled correctly.
  + Characters outside the BMP are now properly rendered.
  + Synthetic bold is now applied to fallback fonts properly.
  + Better drag and drop icons during drags on non-composited
    desktops.
  + The page title is now preserved in WebKit when disappearing
    when clicking on an anchor link.
  + The web database path setting in WebKit1 now also controls
    where IndexedDB databases are stored.
  + Fix various issues in the build tools, testing tools, Web
    Inspector, and MiniBrowser.
* Mon Jan 28 2013 dimstar@opensuse.org
- Update to version 1.11.4:
  + Add support for loading web process extensions to WebKit2 GTK+.
  + Embed the HTTP authentication dialog into the WebView in
    WebKit2.
  + Add support for IME Composition to WebKit2.
  + Add API to notify about display/execution of insecure content
    to WebKit2 GTK+ API.
  + Add GTK+ API to set a WebKitWebView in view source mode to
    WebKit2.
  + Add API to set a TLS errors policy to WebKit2 GTK+ API.
  + Add WEBKIT_HIT_TEST_RESULT_CONTEXT_SCROLLBAR to WebKit2 GTK+
    API.
  + Add support for remote Web Inspector to WebKit2.
  + Complete the documentation od sections in WebKit2 GTK+ API.
  + Fix cookies and custom URI requests when the web process is
    re-launched after a crash.
  + Fix a crash in WebKit2 when running inside Xvfb.
  + Fix a crash in WebKit2 when the WebView is resized with the
    inspector attached.
  + Use Harfbuzz instead of Pango in GTK+ port.
  + Add support for WebP image.
  + Port WebAudio backend to GStreamer 1.0 API.
  + Fix the buffering ranges reported with GStreamer 1.0.
  + Implement multipart/x-mixed-replace in the soup network backend
  + Fix invalid entries for plugins in navigator.plugins.
  + Implement AccessibilityUIElementGtk::isSelectable()
    and AccessibilityUIElementGtk::isMultiSelectable().
  + Expose ARIA roles for tab, tabpanel and tablist.
  + Fixed several memory leaks.
- Add pkgconfig(libwebp) BuildRequires: new dependency.
- Split out a webkit2gtk-3_0-injected-bundles sub-package.
* Sun Jan 27 2013 dimstar@opensuse.org
- Update to version 1.11.2:
  + Implement inspector server on Linux for remote debugging.
  + Add support for password remembering to HTTP authentication
    dialog in WebKit2 using libsecret.
  + Add API to get favicons to WebKit2 GTK+ API.
  + Add API to get the WebKitWebView associated to a WebKitDownload
    to WebKit2 GTK+.
  + Add GObject introspection support to WebKit2 GTK+ API.
- Add pkgconfig(libsecret-1) BuildRequires: new dependency.
* Sat Jan 26 2013 dimstar@opensuse.org
- Update to version 1.11.1:
  + Use XDamage to improve accelerated compositing performance.
  + Enable the edge distance anti-aliasing for accelerated
  compositing layers.
  + Add support to build with EGL OpenGL backend.
  + Add support for WebAudio.
  + Save the original URI for downloaded files as GIO metadata of
  the destination file.
  + Add API for controlling the user agent to WebKit2.
  + Add API to WebKit2 to allow running JavaScripts from a
  WebKitWebView using a GResource containing the script.
  + Add Undo/Redo and SelectAll predefined editing commands to
  WebKit2 GTK+ API.
  + Add a setting to enable/disable smooth scrolling to WebKit2 GTK+
  API.
  + Add API to get the web view that initiated a custom URI request
  to WebKit2 GTK+.
  + Implement ViewState methods of WebKitWebView in WebKit2.
  + Add API to get/set the security policy of a given URI scheme to
  WebKit2 GTK+.
  + Add WebKitWebView:is-loading property to WebKit2 GTK+ API.
  + Sanitize the suggested filename when building the download
  destination URI in WebKit2.
  + Fix disk cache in WebKit2 to actually dump the contents to disk.
  + Fix a crash in WebKit2 when navigating between pages in the
  history cache.
  + Fix a crash in WebKit2 when a download initiated by the policy
  checker fails.
  + Fix a crash in network backend with non-UTF8 HTTP header names.
  + Properly close audio device after playing sound.
  + Purge unused favicons from IconDatabase after 30 days.
  + Properly expose <legend> elements to ATs.
  + The new accessibility CanvasRole is now mapped to
  ATK_ROLE_CANVAS.
  + Fix an infinite loop in accessibility code.
  + Fix a crash in
  AccessibilityObject::accessibilityPlatformIncludesObject().
  + Fix a crash in WebCore::HTMLSelectElement::selectedIndex().
  + Fix incorrect/unexpected characters in the text of certain
  accessibles.
  + Implement AccessibilityUIElement::titleUIElement() and
  AccessibilityUIElement::stringValue().
  + Fix LLint build with -g -02.
  + Properly process GDK_SMOOTH_SCROLL events.
* Fri Jan 25 2013 meissner@suse.com
- Add spaces in the RPM_OPT_FLAGS additions, otherwise it will
  concatenate options and fail (ppc).
* Thu Dec 27 2012 zaitor@opensuse.org
- Add new conditional package typelib-1_0-WebKit2, since we now
  build introspection files for WebKit2.
* Wed Dec 12 2012 dimstar@opensuse.org
- Update to version 1.10.2:
  + WebCore has been split in a few more convenience libtool
    libraries, which should fix problems with linking in some
    architectures and with make's command line length limit.
  + WebKit2 introspection files will also be built if introspection
    is enabled.
  + Includes fixes for the following CVEs: CVE-2012-5112,
    CVE-2012-5133.
  + Web audio has been fixed to use a GstBuffer per-channel when
    looping, which sidesteps a race when dealing with the object
    references. It also got improvements to error handling and ease
    of testing when loading resources.
- Rebase webkit-ld-optimization.patch.
* Wed Dec  5 2012 dimstar@opensuse.org
- Add webkit-shm_unlink-moved-to-librt.patch: shm_unlink moved to
  librt with glibc 2.17.
- Add libtool BuildRequires and call to autoreconf, as above patch
  touches the build system.
* Wed Oct 17 2012 dimstar@opensuse.org
- Update to version 1.10.1:
  + Fix an infinite recursive loop in the accessibility code when
    browsing pages with ARIA.
  + Fix the MinGW build in the spellchecker.
  + Restore support for Geode processors.
  + Use XDamage to improve accelerated compositing performance.
  + Fix a crash when accelerated compositing is disabled.
  + Fix a bug causing plugins to be invisible.
  + Fix accelerated content visibility issues on ATI drivers.
- Add pkgconfig(xdamage) BuildRequires: new dependency.
* Tue Oct  2 2012 dimstar@opensuse.org
- Update to version 1.10.0:
  + Make WebKitWebView work again inside a GtkOverlay in WebKit2 by
    not using a native window for Accelerated Compositing
    implementation.
- Search fo webkitgtk-* lang files instead of webkit-*, following
  upstreams name changes.
* Sat Sep 22 2012 dimstar@opensuse.org
- Update to version 1.9.92:
  + Properly expose <legend> elements to ATs.
  + The new accessibility CanvasRole is now mapped to
    ATK_ROLE_CANVAS.
  + Fix the build in Windows platform.
  + Fix an infinite loop in accessibility code.
  + Fix the build with GStreamer 0.11.
  + Fix a crash in network backend with non-UTF8 HTTP header names.
  + Properly close audio device after playing sound.
  + Sanitize the suggested filename when building the download
    destination URI in WebKit2.
  + Fix a crash in WebKit2 when navigating between pages in the
    history cache.
  + Purge unused favicons from IconDatabase after 30 days.
  + Fix a crash in
    AccessibilityObject::accessibilityPlatformIncludesObject().
  + Fix a crash in WebCore::HTMLSelectElement::selectedIndex().
  + Fix caret-moved events not emitted for certain content.
  + Fix incorrect/unexpected characters in the text of certain
    accessibles.
  + Implement AccessibilityUIElement::titleUIElement() and
    AccessibilityUIElement::stringValue().
  + Fix LLint build with -g -02.
* Fri Sep 14 2012 dimstar@opensuse.org
- Update to version 1.9.91:
  + Fix more API breaks in DOM bindings introduced in previous
    versions.
  + Properly process GDK_SMOOTH_SCROLL events.
* Sat Sep  8 2012 vuntz@opensuse.org
- Add pkgconfig(gudev-1.0) BuildRequires: this is needed for the
  gamepad support. It's disabled right now, but this build
  dependency doesn't harm us, so add it to have it automatically
  enabled when it becomes ready.
* Thu Aug 30 2012 dimstar@opensuse.org
- Switch to GStreamer 1.0:
  + Pass --with-gstreamer=1.0 to configure
  + Replace pkgconfig(gstreamer*-0.10) BuildRequires with
    pkgconfig(gstramer*-1.0).
* Thu Aug 23 2012 dimstar@opensuse.org
- Update to version 1.9.90:
  + WebKit2 GTK+ improvements:
  - change spellchecker languages API a bit
  - add destroy notify parameter to
    webkit_web_context_register_uri_scheme()
  - replace webkit_web_view_replace_content() with
    webkit_web_view_load_alternate_html()
  - rename WebKitWebView "print-requested" signal to "print"
  - API to set preferred languages
  - add webkit_uri_response_get_suggested_filename()
  - add API to save a web page in MHTML format
  - implement smart separators for context menu
  + Make WebKitWebView work again inside a GtkOverlay by not using
    a native window for Accelerated Compositing implementation.
  + Fix several API breaks in DOM bindings introduced in 1.9.6.
  + Fix invalid UTF-8 data passed to the spellchecker.
  + Fix caret-moved events not emitted for certain content.
  + Expose ROLE_TOGGLE_BUTTON instead of ROLE_PUSH_BUTTON when
    aria-pressed is present.
  + Fix several memory leaks.
- Add pkgconfig(xcomposite) BuildRequires: new dependency for
  accelerated output.
- Introduce _withwk2 defines in order to easy toggle webkit2 on and
  off.
- Introduce wk2sover defines: webkitgtk and webkit2gtk do not
  share the same sover.
- Drop webkit-fixbuild.patch: fixed upstream.
* Thu Aug 16 2012 dimstar@opensuse.org
- Update to version 1.9.6:
  + WebKit2 GTK+ improvements:
  - add spell checker API
  - add WebKitWebView::submit-form signal
  - paste primary selection when middle clicking in X11
  + Add API to get the suggested filename from a
    WebKitNetworkResponse.
  + Add webkit_web_view_get_snapshot() to WebKit1 API
  + Make sure WebKitWebView always has a main resource and it has
    already been set when the load has been committed, even for
    pages loaded from the history cache in WebKit2
  + Fix a run time critical warning when gdk_window_get_cursor() is
    called before WebKitWebView has been realized in WebKit2
  + Fix continuous insertion of newlines in Etherpad
  + Fix several memory leaks
- Always build with -g0, and not just on ARM: otherwise, the build
  just always fails because we're running out of memory.
* Thu Aug 16 2012 dimstar@opensuse.org
- Update to version 1.9.5:
  + WebKit2 GTK+ improvements:
  - API to get HTTPS status
  - API to clear the cache
  - add webkit_cookie_manager_set_persistent_storage()
  - improve performance of searching
  - implement disk cache
  - add site specific quirks setting
  - add setting to enable/disable page cache
  - add WebKitWebView::context-menu-dismissed signal
  - fix inspector detach when inspector was attached by the
    client
  - don't show accel labels in context menu items
  + Add webkit_web_frame_get_dom_document() to WebKit GTK+ API.
  + Use soup_cookie_jar_is_persistent() to set whether cookie is a
    session one or not.
  + Fix recognition of contractions (apostrophes) in spell checker.
  + Fix a crash when showing the context menu in the Web Inspector.
  + WebKitWebView::mouse-target-changed is not emitted when moved
    to/from editable content.
  + Cache the video dimensions to not query the video-sink sink-pad
    caps every time.
  + Fix several memory leaks.
* Thu Aug 16 2012 dimstar@opensuse.org
- Update to version 1.9.4:
  + WebKit2 GTK+ improvements:
  - add accelerated compositing implementation
  - API to register custom URI schemes
  - add support for window.showModalDialog
  - add webkit_download_get_received_data_length()
  - add ContextMenu API
  - add Geolocation permission requests API
  - API to get the library version
  + Add WebKitWebView::run-file-chooser signal to WebKit1 API.
  + Port the video sink to GStreamer 0.11 API.
  + Add TextureMapper ImageBuffer support as a fallback from the
    hardware accelerated path
  + Add input methods submenu item to the default context menu for
    editable content.
  + Unmark highlighted text matches when find operation finishes.
  + Honor the device scale factor property when drawing.
  + Prevent setting or editing httpOnly cookies from JavaScript.
  + Fix several memory leaks.
- Add webkit-fixbuild.patch: Fix build.
* Thu Aug 16 2012 dimstar@opensuse.org
- Update to version 1.9.3:
  + WebKit2 GTK+ improvements:
  - add webkit_download_get_request()
  - API to get the list of plugins
  - add webkit_web_view_can_show_mime_type()
  - add GCancellable parameter to all methods using gio async
    pattern
  - add settings to enable and disable composited layer
    indicators
  - add generic permission requests API
  - add initial inspector API
  - allow to attach/detach the inspector
  + Add media-playback-requires-user-gesture and
    media-playback-allows-inline settings.
  + Use defers loading instead of pausing the soup message in
    WebKitDownload.
  + Properly set the input method context window location.
  + Fix a crash in the WebProcess when a download is started from
    an existing ResourceHandle.
  + Fix cursor used for ne-resize.
  + Fix contractions recognition by the spell checker.
  + Fix a crash rendering scrollbars on GTK wxWebkit.
  + Fix KURL::fileSystemPath() implementation to strip the query
    part of the uri.
  + Check for GTK2/GTK3 symbol mismatch earlier to fix plugins run
    with nspluginwrapper.
  + Fix thin archives support while building GTK+ port.
  + Fix several memory leaks.
  + Fix several compilation warnings.
- Rebase webkit-ld-optimization.patch
- Build WebKit2 library:
  + this only works on the gtk3 build, so pass
  - -enable-webkit2/--disable-webkit2 accordingly.
  + Add pkgconfig(gail) and pkgconfig(gtk+-2.0) BuildRequires: the
    plugin process used in WebKit2 needs gtk2.
  + Create a new libwebkit2gtk subpackage.
  + Add libwebkit2gtk Requires to devel subpackage.
- Add ruby BuildRequires: new dependency for the build.
* Thu Aug 16 2012 dimstar@opensuse.org
- Update to version 1.9.2:
  + Fix exceeding arguments limit build problem, by splitting more
    files off libWebCore into the new libWebCoreModules convenience
    library.
  + Remove left over soup_session_pause_message() and properly
    handle that case for defersLoading.
  + Fix response being the new one instead of the one that caused
    the redirect when emitting
    WebKitWebView::resource-request-starting
  + Refactor of IME handling to fix bugs and prepare for sharing
    with WebKit2.
  + Add file chooser API to WebKit2.
* Thu Aug 16 2012 dimstar@opensuse.org
- Update to version 1.9.1:
  + This release contains fixes from 1.7.90 to 1.7.92.
  + Performance improvements in WebKitWebView by avoiding doing a
    lot of work in size_allocate when the view is not mapped.
  + Web Timing is now enabled.
  + Add support for smooth scrolling.
  + Implement unicode submenu items.
  + FFTFrame implementation in GStreamer backend.
  + More work on GStreamer 0.11 support.
  + Add WebKitWebView::context-menu signal to allow applications to
    handle its own context menu. WebKitWebView::populate-popup
    signal and default-context setting are now deprecated.
  + Well known names for menu items in the default context menu are
    now exposed in an enumeration.
  + Add enter/leave fullscreen signals.
  + Many improvements to WebKit2 GTK+:
  - add support for windowed plugins
  - add full printing support
  - add enable-webaudio setting
  - add support for registering custom uri schemes
  - add WebKitWebView::mouse-target-changed signal
  - use a single signal for script dialogs
  - add cookies API
  - add resources API
  - add support for Response policy decisions
  - add javascript clipboard functionality settings
  - add cut, copy and paste methods
  - add webkit_web_view_run_javascript()
  + Several rendering fixes.
  + Fix several crashes.
* Thu Aug 16 2012 dmueller@suse.com
- fix build on ARM
* Wed Aug  8 2012 dimstar@opensuse.org
- Update to version 1.8.2:
  + Fix continuous insertion of newlines in Etherpad.
  + NPAPI plugin support for Windows.
  + The spell checker now recognizes English-language contractions.
  + Merge many security fixes from trunk.
- Drop webkit-fix-llvmpipe-crash.patch: fixed upstream.
* Sun Jul  1 2012 dvaleev@suse.com
- compile with --no-keep-memory on ppc. (fixes build)
- disable jit on arm and ppc
* Sat Jun 30 2012 badshah400@gmail.com
- Add webkit-fix-llvmpipe-crash.patch to fix an llvmpipe crash
  that in turn led to gnome-control-center not starting and giving
  invalid pointer errors. Patch came from upstream development
  version and was rebased to apply to present version. Fixes
  bgo#673681, bnc#769185 and upstream bug
  https://bugs.webkit.org/show_bug.cgi?id=89358.
* Sun Apr 29 2012 dimstar@opensuse.org
- Update to version 1.8.1:
  + Throttle DNS prefetching to avoid overloading the resolver.
  + Fix a bug where the Content-Length header was not sent for
    certain XMLHttpRequests.
  + Fix a repainting error that occurred during interior frame
    scrolling.
  + Fix a SIGILL crash in JavaScriptCore on the Geode processor.
  + Fix the rendering of toggle buttons with larger-than-default
    widths and heights with the Adwaita theme.
  + Fix a crash that could occur during synchronous XMLHttpRequests
  + Fix flickering during scrolling and resizing in newer versions
    of GTK+.
  + Merge many security fixes from trunk.
* Wed Mar 28 2012 vuntz@opensuse.org
- Update to version 1.8.0:
  + Merge WebCore and JavaScriptCore regressions committed after
    the branch point.
  + Fix several crashes in script bindings by adjusting incorrect
    signal signatures.
  + Fix --disable-geolocation build.
  + Updated translations.
* Tue Mar 20 2012 dimstar@opensuse.org
- Update to version 1.7.92:
  + Add a new favicon database API that corrects the problems of
    the old one.
  + Fix rendering of combobox / menulist buttons that do not have
    separators.
  + Fix misrendering of text shadow extents in some situations.
  + Fix 'make check' for source trees without an internal jhbuild.
  + Miscellaneous build fixes.
* Mon Mar 12 2012 vuntz@opensuse.org
- Update to version 1.7.91:
  + Properly advertise flac support for the audio tag.
  + Fix a WebProcess segmentation fault related to clipboard
    handling.
  + Add a Find API for WebKit2.
  + Add zoom-text-only setting to WebKit2 GTK+ API.
  + Miscellaneous build fixes.
- Drop libwebkit-fix-gtk2.patch: fixed upstream.
* Mon Feb 27 2012 dmueller@suse.de
- Fix build on ARM (reducing functionality that is compiled in).
  When building for ARM, pass these to configure:
  - -disable-webgl
  - -disable-sql-database
  - -disable-svg
- Add some configure options: --enable-javascript-debugger
  (useful), --disable-static and --enable-shared (since we care
  only about shared libraries).
* Thu Feb 23 2012 vuntz@opensuse.org
- Update to version 1.7.90:
  + Geolocation support is built by default now.
  + requestAnimationFrame support is built by default now.
  + Remove defunct WebInspector GSettings mapping.
  + Lots of build fixes for Windows, GNU Hurd, A64, SPARC and
    Alpha.
  + WebKit will try to use the default libsoup proxy resolver
    automatically.
  + Now interpret plugin metadata as UTF-8.
  + Web content (except plugins) should no longer steal focus from
    other GTK+ widgets.
- Drop libwebkit-ia64.patch: fixed upstream.
- Rebase webkit-ld-optimization.patch.
- Add pkgconfig(zlib) BuildRequires: new dependency.
- Add explicit pkgconfig(glib-2.0) BuildRequires so we can version
  it.
- Add explicit perl, python BuildRequires: those are explicitly
  checked for in configure now.
- Add gtk-doc BuildRequires: the gtk-doc tools are needed at
  install time, for the webkit-specific tools generating the docs.
- Add libwebkit-fix-gtk2.patch: fix build of the GTK+ 2.x version.
- Stop using %%glib2_gsettings_schema_* macros for
  libwebkitgtk-1_0-0 and libwebkitgtk-3_0-0: there's no GSettings
  schema anymore.
- Do not use parallel build as it seems to be causing several
  issues.
* Mon Feb 20 2012 vuntz@opensuse.org
- Move to pkgconfig() BuildRequires:
  + Old ones: enchant-devel, gstreamer-0_10-plugins-base-devel,
    gtk2-devel/gtk3-devel, libgeoclue-devel, libsoup-devel,
    libxslt-devel, sqlite3-devel.
  + New ones: enchant, gtk+-2.0/gtk+-3.0, geoclue, gstreamer-0.10,
    gstreamer-plugins-base-0.10, libsoup-2.4, libxslt, sqlite3.
- Add missing explicit BuildRequires (some are needed to fix the
  build after the xorg-x11 massive packaging change): cairo,
  cairo-ft, fontconfig, freetype2, freetype2, gail/gail-3.0,
  libpng, libxml-2.0, pango, pangoft2, xrender, xt.
* Thu Feb 16 2012 vuntz@opensuse.org
- Add webkit-ld-optimization.patch: pass options to ld (namely
  - Wl,--reduce-memory-overheads -Wl,--no-keep-memory) to use less
  memory when linking. This should help building on OBS. Thanks to
  the openSUSE-ARM team!
* Wed Feb  8 2012 vuntz@opensuse.org
- Update to version 1.7.5:
  + Add new signals to track resources loading.
  + Add --no-timeout command line option to DumpRenderTree.
  + Expose accessibility hierarchy in WebKit2 to ATK/AT-SPI based
    ATs.
  + Allow to build using extra jhbuild modulesets.
  + Fix emission of ATK text-caret-moved and text-selection-changed
    events.
  + Update primary clipboard with the current selection in X11
    platforms in WebKit2.
  + Implement the policy client in WebKit2 GTK+ API.
  + Add basic printing support to WebKit2.
  + Do not add unnecessary blanks at the end of a line of text to
    fix the line returned by atk_text_get_text_at_offset().
  + Make sure input text field is repainted when value is changed.
  + Add print-backgrounds setting to WebKit2 GTK+ API.
  + Respect the has-backward-stepper and has-forward-stepper
    properties when drawing scrollbars.
  + WebKit-3.0.gir now includes information about C includes or
    exported packages.
  + WebKit1 API documentation was not generated when building with
    gtk-2.0.
  + Make WebKitWebView work inside a GtkOffscreenWindow.
  + Implement DownloadClient and add downloads API to WebKit2 GTK+
    API.
- Remove xz BuildRequires now that it comes for free in the build
  system.
- Add pkgconfig(atspi-2) BuildRequires: new dependency upstream.
- Add pkgconfig(gtk+-unix-print-3.0) BuildRequires for gtk3 build:
  new dependency upstream.
* Thu Feb  2 2012 ro@suse.de
- Add libwebkit-ia64.patch: fix build on ia64.
* Tue Jan 17 2012 vuntz@opensuse.org
- Update to version 1.7.4:
  + Fix a11y regression: text-inserted events lack text inserted
    and current line.
  + Fix scrollbars in WebKit2 that were drawn behind the window
    resize grip.
  + Fix a memory leak in WebKitWebSourceGStreamer.
  + Slider thumb is not centered on the track with the unico theme.
  + Fix context menu in WebKit2 to not dissapear right after it's
    shown.
  + Use GtkOrientable style class in GTK+ 3 theming code.
  + Change default WebSocket protocol to the latest one (hybi-17).
  + Fix scrollbars size with GTK+ 3.x to follow the current theme.
  + Use gdk_screen_get_monitor_workarea() when available for
    screenAvailableRect().
  + Rename webkit_web_view_load_alternate_html as
    webkit_web_view_replace_content in WebKit2 GTK+.
  + Fix emission of ATK text-caret-moved and text-selection-changed
    events.
  + Add methods to get/set the WebView zoom level to WebKit2 GTK+
    API.
  + Make WebProcess and PluginProcess use the same locale as the UI
    process.
  + Simplify WebKit2 loader client API.
- Create DerivedSources/webkit in %%setup to fix build, as a
  temporary workaround.
* Tue Dec 20 2011 vuntz@opensuse.org
- Update to version 1.7.3:
  + WebGL is now enabled by default.
  + Initial support for accelerated compositing has been added.
  + Add fullscreen setting to WebKit2 GTK+ API.
  + Fix regression of Push buttons that didn't expose their
    displayed text/name to accessibility toolkit.
  + Initial UI client implementation for WebKit2 GTK+ API.
  + Implement HTML5 History APIs.
  + Implement cookies management in WebKit2.
  + Fix a crash when a download fails.
  + Add support for javascript dialogs in WebKit2 GTK+ API.
  + Add 'enable-dns-prefetching' setting to WebKit2 GTK+ API.
  + Initial support for WebAudio data playback.
  + Add enable-webaudio setting.
  + Links are now focused with Tab by default in WebKit2.
  + Fix HTML5 Youtube video fullscreen button.
  + Improve description of WebSocket errors.
  + Add WebKitWindowProperties to WebKit2 GTK+ API.
  + Fullscreen controller support for the new WebKit Fullscreen
    API.
  + Add WebKitURIResponse to WebKit2 GTK+ API.
  + Fix random crash in pages containing plugins.
  + Fix loading of custom fonts in some web sites like
    surlybikes.com or boingboing.net.
- Add Mesa-devel BuildRequires for WebGL support.
- Create DerivedSources/ANGLE in %%setup to fix build, as a
  temporary workaround.
* Fri Dec  9 2011 dimstar@opensuse.org
- Add webkit-gir-fixup.patch: Fix up JSCore.gir.in to reference a
  real library: libwebkitgtk-(1.0|3.0).so.0 instead of
  webkitgtk-(1.0|3.0).
* Thu Dec  8 2011 dimstar@opensuse.org
- Split typelib files into their own subpackages:
  typelib-1_0-JSCore-(1_0|3_0) and typelib-1_0-WebKit-(1_0|3_0).
- Add typelib-1_0-JSCore-(1_0|3_0) and typelib-1_0-WebKit-(1_0|3_0)
  Requires to libwebkitgtk-devel/libwebkitgtk3-devel subpackage.
* Sat Nov 26 2011 dimstar@opensuse.org
- Update to version 1.7.2:
  + Fix process freeze when right-clicking on windowless Flash.
  + Performance improvements by avoiding unnecessary clips while
    painting.
  + Notify errors happening on downloads not started by a web view.
  + Allow building with GLib >= 2.31.
  + Significant JavaScript performance improvements on x86 and
    x86-64.
  + Fix application cache directory in WebKit2.
  + Add initial support for cookies in WebKit2.
  + Implement support for downloads in WebKit2.
  + Add methods to load HTML and plain text to WebKit2 GTK+ API.
  + Add webkit_web_view_get_uri() to WebKit2 GTK+ API.
  + Don't show items in option elements with display:none.
  + Add webkit_web_view_load_request() to WebKit2 GTK+ API.
  + Add support for WebAudio AudioFileReader.
  + Port MiniBrowser to use WebKit2 GTK+ API instead of the C API.
  + Add more settings to WebKitSettings in WebKit2 GTK+ API:
    private browsing, developer extras, resizable text areas, tabs
    to links, caret mode, font settings, default charset.
  + Fix windowless plugins drawing in WebKit2.
  + Fix memory leak when fullscreening a video.
  + Remove visited links from page's page group when clearing back
    forward list.
  + Switch to a backing store approach for painting WebKitWebView.
    It improves scrolling performance.
  + Add methods to get/set the settings of a web view to WebKit2
    GTK+ API.
  + Add webkit_settings_new_with_settings() to WebKit2 GTK+ API.
  + Add title property to WebKitWebView in WebKit2 GTK+ API.
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.
* Thu Oct 27 2011 dimstar@opensuse.org
- Update to version 1.7.1:
  + Fix a problem with scroll adjustments that made scrollbars
    become out of sync with the page contents.
  + Show title of option control items in a tooltip.
  + Improve scrolling performance for pages containing windowed
    plugins.
  + Use GtkGrid instead of GtkTable in authentication dialogs.
  + Fix compatibility issues with DOM bindings.
  + Fix video pause/play in fullscreen.
  + Add support for pseudo-italics on freetype fonts when italic
    font is requested but Fontconfig gives one that is neither
    oblique nor italic.
  + Fix test rendering issues due to custom fonts which use
    synthetic oblique rendering.
  + Support for client-based geolocation.
  + Add support for sending encoded blob data during network
    requests.
  + Use SOCK_SEQPACKET when available for sockets used to
    communicate processes in WebKit2.
  + Add gtk-doc support to generate WebKit2 GTK+ API documentation.
  + Implement default error pages in WebKit2.
  + Initial implementation of WebInspector for WebKit2.
  + Implement drag and drop support in WebKit2.
  + TextChecker implementation for WebKit2.
  + Initial implementation of back forward list for WebKit2 GTK+
    API.
  + Initial implementation of view settings for WebKit2 GTK+ API.
  + Initial implementation of loader client for WebKit2 GTK+ API.
  + Implement cache model for WebKit2
  + Initial implementation of web context for WebKit2 GTK+ API.
  + Add methods to get/set a custom text enconding to WebKit2 GTK+
    API.
  + Add WebKitError to WebKit2 GTK+ API.
* Tue Sep 27 2011 vuntz@opensuse.org
- Update to version 1.6.1:
  + Add compatibility methods for DOM bindings
* Tue Sep 27 2011 vuntz@opensuse.org
- Update to version 1.6.0:
  + Fix documentation generation by specifying the sources
    directory with $(top_srcdir).
  + Several bug fixes.
* Wed Sep 21 2011 vuntz@opensuse.org
- Update to version 1.5.90:
  + Bumped GStreamer requirement to 0.10.30.
  + Switch to GTK+3 by default. GTK+2 is still required for the
    WebKit2 plugin process though.
  + Create pot files in builddir.
  + Improvements in the WebKit2GTK+ port.
  + Lots of bugfixes.
* Fri Aug 12 2011 dimstar@opensuse.org
- Update to version 1.5.2:
  + Remove G_CONST_RETURN usage througout WebKit, it's deprecated
    in glib.
  + Add plugin process support in WebKit2. Now (GTK+2) plugins can
    work again with a GTK+3 build.
  + Add API to set local storage database path.
  + Further UA spoofing for Google Calendar, since it assumes
    Linux+WebKit means mobile (ugh).
  + Lots of bugfixes.
- Drop libwebkit-no-G_CONST_RETURN.patch: fixed upstream.
- Remove make stamp-po in %%build, the bug has been fixed long ago.
  see https://bugs.webkit.org/show_bug.cgi?id=50612
* Fri Jul  8 2011 vuntz@opensuse.org
- Update baselibs.conf to mention the libjavascriptcoregtk-*
  packages.
* Thu Jul  7 2011 vuntz@opensuse.org
- Add libwebkit-no-G_CONST_RETURN.patch: stop using deprecated
  G_CONST_RETURN, which might make the build fail for other
  packages. Taken from svn.
* Tue Jun 14 2011 dimstar@opensuse.org
- Update to version 1.5.1:
  + The JSC library is now available independently. It's called
    "libjavascriptcoregtk", and it comes with its own pkg-config
    file.
  + New spellchecking APIs, useful to implement spellchecking
    features in the UAs.
  + New DOM methods to check if editable areas have been modified
    by the user (webkit_dom_html_{input,text_area}_is_edited).
  + Lots of improvements in the WebKit2GTK+ port.
  + Lots of bugfixes.
- Split out new subpackage libjavascriptcoregtk{-1_0-0,-3_0-0} for
  libjavascriptcoregtk library.
* Sun Jun  5 2011 vuntz@opensuse.org
- Update to version 1.4.1:
  + This is a maintenance release which includes several noteworthy
    fixes:
  - Allow building with newer versions of GCC
  - Fix rendering problems on pages that have 0-pixel sized fonts
  - Plug a memory leak in the networking layer
  + Bug fixes: bwo#61693, bwo#60917, bwo#59697, bwo#61480,
    bwo#60155, bwo#85984, bwo#57644, bwo#59585, bwo#59718,
    bwo#59799.
* Thu May 26 2011 idonmez@novell.com
- Add perl(Switch) BuildRequires to fix build with Perl 5.14. This
  is used by make-hash-tools.pl.
* Wed Apr 27 2011 fcrozat@novell.com
- Update to version 1.4.0:
  + WebKitGTK+ for now prevents loading plugins which use
    incompatible GTK+ versions to avoid symbol collisions.
  + Many other bugfixes.
* Tue Mar 22 2011 fcrozat@novell.com
- Update to version 1.3.13:
  + GObject DOM Bindings contains a major change. Explicit
    invocation of DOM objects' addEventListener methods has
    replaced the GObject signal method of DOM event handling.
  + Added API to control the IconDatabase and the cache database
    APIs.
* Thu Mar  3 2011 fcrozat@novell.com
- Update to version 1.3.12:
  + HTML5 media volume managment improvements.
  + A11y bugfixes.
  + Many other bugfixes.
  + Updated translations.
* Tue Feb 15 2011 fcrozat@novell.com
- Update to version 1.3.11:
  + Add a beginDragWithFiles implementation for the GTK+ event
    sender.
  + ResourceHandleSoup do not wait for streams to close to issue
    didFinishLoading.
  + Move the request/cache code to libsoup.
  + A11y bugfixes.
  + Many other bugfixes.
- Remove explicit Requires for glib2-devel, gtk2-devel and
  libsoup-devel in devel subpackage: they will automatically be
  added the pkgconfig() way.
- Re-enable parallel build, since it works again in the build
  service.
- Create a GTK+ 3 source package, based on the exact same spec
  file, that we'll keep synchronized.
- Rename webkit-jsc to webkit-jsc-{1,3}, so we can have both GTK+ 2
  and GTK+ 3 versions built. Only the GTK+ 2 version has
  Provides/Obsoletes for webkit-jsc.
- Change baselibs.conf so that it works for the two source
  packages, by simply adding libwebkitgtk-3_0-0 there.
* Mon Jan 17 2011 vuntz@opensuse.org
- Disable parallel build in an attempt to fix the build on the
  build service, where it goes out of memory.
* Wed Jan 12 2011 vuntz@opensuse.org
- Update to version 1.3.10:
  + Port form control theming code to GtkStyleContext.
  + Add a new 'make jsc' target to build only JavaScriptCore and
    the jsc binary.
  + Initial support for drag-and-drop file uploads.
  + WOFF font face support.
  + Many other bugfixes.
* Thu Dec 23 2010 vuntz@opensuse.org
- Update to version 1.3.9:
  + Compilation fixes for the final GTK+ 2.91.7 release.
* Tue Dec 21 2010 vuntz@opensuse.org
- Update to version 1.3.8:
  + New WebKitWebPluginDatabase and WebKitWebPlugin classes for
    plugin management.
  + The usual fixes for GTK+ 3.x API changes. We are still using
    the old GtkStyle APIs, that should be gone by the next release.
  + Add support for Mozilla-style JS fullscreen API.
  + Add support for the viewport metatag.
  + Many other bugfixes.
* Tue Dec  7 2010 vuntz@opensuse.org
- Update to version 1.3.7:
  + Fix error pages template's not being filled properly.
  + Fix context menu activation through keyboard.
  + Add automatic garbage collection for most GObject DOM objects
    (all those that are actually in the DOM tree). This gets rid of
    most of the leaks when using the bindings.
  + Add an Inspector API to inspect a DOM node.
  + Tons of a11y bugfixes.
  + Tons of fixes for the in-tree SoupCache, should work much
    better now.
  + Many other bugfixes.
- Explicitly compile translations, since it's broken in the
  tarball.
* Mon Nov 15 2010 dimstar@opensuse.org
- Update to version 1.3.6:
  + Update to compile with GTK+ 3.x 2.91.4.
  + Many, many other bugfixes.
* Fri Oct 22 2010 vuntz@opensuse.org
- Update to version 1.3.5:
  + Add a HTTP cache implementation. This will be eventually
    integrated in libsoup itself, but for now it can be accessed
    from WebKit through the WebKitSoupCache APIs.
  + Updated to work with GTK+ 3.x 2.91.1.
  + Add frame-flattening support, used by some mobile browser, to
    merge all frames in a page into a continuous view.
  + Many other bugfixes.
* Thu Sep 23 2010 vuntz@opensuse.org
- Update to version 1.3.4:
  + File reader/writer APIs are now enabled.
  + The javascript JIT is now enabled by default on ARM.
  + Clipboard data is no longer lost when the process exits.
  + Image DnD support.
  + GSettings support to save/restore Web Inspector settings.
  + Add WebSocket support, now enabled by default.
  + Added WebKitWebView::frame-created signal, emitted when a frame
    other than the main frame is created in a view.
  + Added WebKitWebView::view-mode, holding information about how
    the view is being presented. See the property documentation and
    http://www.w3.org/TR/view-mode/ for details.
  + Fullscreen support for HTML5 media player.
  + Identify as WebKit/Safari in Google domains when
    enable-site-specific-quirks is activated. Otherwise we'll get a
    degraded user experience due to their poor UA detection
    algorihtms.
  + Added simple media playback options in the context menu for the
    media elements.
  + Update (and require) to work with gobjet-introspection 0.9.5.
  + Updated to work with GTK+ 3.x 2.90.7 when in GTK+ 3.x mode.
  + Make --disable-jit actually work.
  + Add --enable-opcode-stats configure flag. When enabled,
    statistics about opcode generation will be printed by JSC.
  + Many a11y fixes, particularly in the AtkText interface.
  + CSS box shadows render much faster in many cases.
  + Many other bugfixes.
- Fix webkit-jsc to have a libwebkitgtk-1_0-0 Requires instead of
  libwebkit-1_0-2.
- Handle the GSettings schemas with the %%glib2_gsettings_schema_*
  macros.
* Wed Sep  1 2010 vuntz@opensuse.org
- Drop gir-repository BuildRequires: the introspection files that
  were needed from there are now directly with the appropriate
  libraries.
* Tue Aug 31 2010 aj@suse.de
- Recommend instead of require lang package since it's not mandatory.
* Thu Aug 12 2010 vuntz@opensuse.org
- Do not use Provides/Obsoletes for libwebkit-1_0-2 in
  libwebkitgtk-1_0-0: this is simply not true, since the library
  name is libwebkitgtk-1.0 now, not libwebkit-1.0 anymore.
* Mon Aug  9 2010 vuntz@opensuse.org
- Update baselibs.conf for the change in package name.
* Fri Aug  6 2010 vuntz@opensuse.org
- Go back to GTK+ 2: change gtk3-devel BuildRequires to gtk2-devel,
  change --with-gtk configure flag to 2.0
* Thu Jul 15 2010 dimstar@opensuse.org
- Update to version 1.3.3:
  + Fixes to compile with latest GTK+ 2.90.x.
  + Add support for dropping content in WebKitWebViews.
  + Many other bugfixes.
* Tue Jul 13 2010 dimstar@opensuse.org
- Update to version 1.3.2:
  + This release is an ABI break.
  + The library has been renamed to libwebkitgtk, so you'll need to
    recompile your applications when upgrading to 1.3.2.
  + Add support for GTK+ 3.x. A new configure flag, --with-gtk, has
    been added, which allows to control which GTK+ version you want
    to build against.
  + Many fixes for the DOM bindings, including support to dispatch
    events to any Node through webkit_event_target_dispatch_event.
  + Added a 'inner-node' property to WebKitHitTestResult, carrying
    the DOM node where the hit test happened.
  + Many DnD fixes, including a fix for the infamous hang-of-death
    while dragging the mouse.
  + Support for <input type="range">.
  + Many other bugfixes.
- Pass --with-gtk=3.0 to configure and use gtk3-devel BuildRequires
  instead of gtk2-devel.
- Drop libwebkit-gir-repository_1.1.patch, fixed upstream.
- Update name of subpackages to new library name (since it got
  renamed to libwebkitgtk).
* Mon Jun 21 2010 dimstar@opensuse.org
- Update to version 1.3.1:
  + Initial support for GObject DOM bindings. Present in this
    release is a substantial subset of the basic DOM APIs
    (Document, HTML elements, Node, etc) including access to the
    DOM events through GObject signals.
  + Add webkit_web_back_forward_list_clear, to completely clear the
    BackForward list.
  + Lots of improvements in DOM clipboard and drag-drop access.
  + Add support for GTK+ key themes.
  + Significant improvements in a11y, including improved role
    support and many bugfixes.
- Drop libwebkit-fixbuild.patch, fixed upstream.
- Add libwebkit-gir-repository_1.1.patch: gir repository requires
  version 1.1 by now.
* Wed Apr  7 2010 vuntz@opensuse.org
- Update to version 1.2.0:
  + New stable branch of WebKitGTK+; API and ABI stable.
  + A number of crashes discovered since the 1.1.90 release have
    been fixed.
  + Building for SPARC has been fixed.
  + Building on Itanium in 32 bits mode is now possible.
  + Building with newer versions of GTK+ is fixed.
  + A few translations got updated.
* Wed Apr  7 2010 ro@suse.de
- Add baselibs.conf (needed for libproxy-pacrunner-webkit)
* Wed Mar 17 2010 dimstar@opensuse.org
- Update to version 1.1.90:
  + Add support for Fast Mobile Scrolling in the build system.
  + Add function to expose the popup menu font size, add a field to
    WebPopupMenuInfo that receives that information to convey that
    to the web view client's createPopupMenu() call.
* Wed Mar 10 2010 dimstar@opensuse.org
- Update to version 1.1.23:
  + Blob.slice support.
  + Iimplements ChromeClient::requestGeolocationPermissionForFrame
  + Expose WebFrame::setCanHaveScrollbars().  This allows a view
    which is being resized to not need scroll bars to ensure that
    they are not drawn.
  + Enable SharedWorkers by default, since that's been the default
    for a long time in our build-webkit configuration.
  + [gtk] missing libsoup-2.4 package in gir generation
- Add libwebkit-fixbuild.patch to fix brp error. gchar wants the
  last argument to be NULL, not 0.
* Tue Feb 23 2010 vuntz@opensuse.org
- Update to version 1.1.22:
  + Preliminary support for Java plugins. Basic functionality is
    there, but there are still a few rough edges. Also newly
    introduced is a new WebKitWebSetting, 'enable-java-applet',
    which controls whether WebKit will recognize the non-standard
    <applet> tag.
  + Add WebKitWebSettings::auto-resize-window; when enabled, WebKit
    will act upon the DOM methods that change the size and/or
    position of the window containing a WebView (window.{moveTo,
    resizeTo, moveBy, resizeBy}).
  + Add WebKitWebSettings::enable-file-access-from-file-uris; when
    enabled, each file:// URI will be assigned its own security
    domain.
  + Lots of bugfixes, especially in the PageCache support.
* Wed Feb 10 2010 vuntz@opensuse.org
- Update to version 1.1.21:
  + New custom-made GStreamer source element that uses the WebCore
    network layer to download media data; this makes sure any
    headers and cookies will automatically get added when making
    requests.
  + WebKit will now let libsoup know who the first party for a
    given message is, making it possible to implement accept/deny
    policies in Soup.
  - The usual stream of fixes, and improvements
* Mon Feb  8 2010 captain.magnus@opensuse.org
- Update to version 1.1.20:
  + Fixes to the HTML5 Media Player infrastructure to satisfy sites
    that require cookies, and Referer to be sent; this makes
    WebKitGTK+ able to support the new HTML5 support added to
    Youtube, and Vimeo, for instance.
  + Windowless plugin support is finally here, making it possible
    to get plugins to behave on various web pages.
  + The usual stream of fixes, and improvements
* Wed Jan 20 2010 vuntz@opensuse.org
- Update to version 1.1.19:
  + Improvements to AtkText implementation
  + RGBA colormap support has been added
  + Improvements to the HTML5 media player
  + Crashes related to clipboard handling, which were hitting many
    users and seemed to be random have been fixed
- Drop libwebkit-fix-gcc-warnings.patch: fixed upstream.
* Fri Jan 15 2010 vuntz@opensuse.org
- Drop libwebkit-ia64_s390x.patch: this should be fixed another way
  upstream now.
* Wed Jan 13 2010 captain.magnus@opensuse.org
- Update to version 1.1.18:
  - Add methods to set and get a cache model in WebKitGTK+. We
    offer two possibilites: document viewer (no caches are used)
    and browser (similar to the previous defaults).
  - Add WebKitWebSettings::enable-page-cache. Controls whether the
    Page Cache is enabled or not. For details about what the page
    cache is and does see
    http://webkit.org/blog/427/webkit-page-cache-i-the-basics/
    The page cache is disabled by default, since the gtk+ port
    still presents some small bugs when it's enabled.
  - Add WebKitWebSettings::enable-site-specific-quirks. Controls
    whether a series of page-specific workarounds are used by
    WebKit.
  - Use Content-Encoding support available in recent libsoup.
  - Add WebKitWebSettings::enable-default-context-menu. Controls
    whether webkitgtk+ will show a default context menu on right
    click in the view. Note that even with the property set to
    FALSE right clicks can be handled by the page, either by
    actions or by ad-hoc in-page context menus.
  - Make the WebKitWebView::icon-loaded signal carry a string with
    the favicon's URI. This is an API break, but the signal already
    had a broken signature and was useless anyway, so it's
    extremely unlikely that anybody was using it. Also, add the
    'icon-uri' property to the view, holding the URI for its
    current favicon.
  - Respect Content-Disposition header in downloads (fixes
    downloads in gmail).
  - Various accessibility improvements.
  - Many bugfixes.
- Drop libwebkit-fix-introspection-build.patch: fixed upstream.
- Update libwebkit-ia64_s390x.patch to apply with fuzz=0
- Add libwebkit-fix-gcc-warnings.patch to keep gcc happy. Reported
  upstream (https://bugs.webkit.org/show_bug.cgi?id=33575)
- Remove workaround copy of JSCore-1.0.gir to fix introspection
  build: fixed upstream.
* Mon Dec  7 2009 vuntz@opensuse.org
- Add libwebkit-ia64_s390x.patch to fix build on ia64 and s390x.
  Patch by ro@suse.de.
* Tue Dec  1 2009 vuntz@opensuse.org
- Update to version 1.1.17:
  + New APIs to show and close the web inspector and to inspect an
    element at the given coordinates.
  + New property,
    WebKitWebSettings::tab-key-cycles-through-elements, controls
    whether TAB is simply interpreted as another keystroke or is
    used to cycle through the elements in a page.
  + Many a11y improvements.
  + The usual amount of random bugfixes.
- Enable introspection:
  + add gir-repository and gobject-introspection-devel
    BuildRequires.
  + pass --enable-introspection to configure.
  + add a cp workaround for JSCore-1.0.gir not being at the
    expected location.
  + add libwebkit-fix-introspection-build.patch to fix the build
* Fri Nov 27 2009 dimstar@opensuse.org
- Update to version 1.1.16:
  + Add optional support to generate the gobject-introspection
    gir/typelib files. Enable with --enable-introspection, it's off
    by default.
  + Add a new load status value, WEBKIT_LOAD_FAILED, emitted when
    there's an error during the load process. This is the natural
    companion to WEBKIT_LOAD_FINISHED, which is only emitted when
    the load finished succesfuly.
  + Ensure that keyboard events filtered by GtkIMContext still
    create the proper DOM events.
  + Many a11y improvements: caret browsing fixes, expose heading
    levels, more accessible roles supported, more work in correctly
    showing the element's ancestry list, improved support for
    lists, etc.
  + Many improvements to our media support.
  + Add a new setting to control DOM pastes
    (document.execCommand("Paste"))
  + Many, many bugfixes all over the place.
- Do not self-obsolete, fix a lint warning.
* Wed Sep 23 2009 dimstar@opensuse.org
- Update to version 1.1.15.1:
  + [GTK] context menu overriding API is very limited
  + Add new tests to the build.
  + Add the alternative QtLauncher (based on QGraphicsView) to the
    build.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 1.1.14:
  + New API has been added to WebKitWebFrame to allow applying
    scrollbars policy as requested by web applications to the main
    frame; if the parent of the WebKitWebView widget is a
    GtkScrolledWindow, policy is applied by the default handler.
  + A new API has been added to help dealing with the various
    resources that are downloaded to compose the final rendering;
    you can now obtain the source code for a page that is loaded,
    for instance.
  + A new property has been added to WebKitWebView to allow setting
    it to "View Source" mode.
  + HTML5 database has gained API to manage the individual
    databases, including usage and quota.
  + A new signal `resource-request-starting' has been added to the
    WebKitWebView to allow modification of outgoing requests for
    every resource.
  + Connection limit has been increased to 60 total connections, 6
    per-host, matching other browsers more closely; this seems to
    have improved loading time of some sites.
  + Undo/redo support has been added to editable texts.
  + The usual stream of small improvements and bug fixes.
- Drop libwebkit-build-warning.patch: fixed upstream.
- Add glib2-devel Requires to devel package.
* Wed Aug 26 2009 vuntz@novell.com
- Update to version 1.1.13:
  + GNOME Keyring support was removed in favor of the new Password
    Manager soup feature; to get exactly the same behavior,
    applications should use SoupPasswordManagerGNOME. This requires
    libsoup 2.27.91 or newer.
  + Several accessibility improvements, including support for
    testing the a11y infrastructure in our layout tests.
  + You can now enable/disable HTML5 offline application cache
    using a new setting added to WebKitWebSettings.
  + Drag support has landed, meaning you can start playing with
    HTML5 drag and drop support; drop support is still missing.
  + A crash with scripts closing windows has been fixed.
  + Image cursors support has been added.
  + The usual stream of small improvements and bug fixes.
- Remove gnome-keyring-devel BuildRequires.
- Add libgeoclue-devel BuildRequires.
- Pass --enable-geolocation to configure and remove
  now non-existing --enable-gnomekeyring.
- Add libwebkit-build-warning.patch to fix a warning.
* Fri Jul 31 2009 vuntz@novell.com
- Move back doc files to the devel package.
* Wed Jul 29 2009 vuntz@novell.com
- Update to version 1.1.12:
  + Fix WebKitSoupAuthDialog to only save passwords in
    gnome-keyring (if enabled) when authentication succeeds.
  + Implement a proper size_request method for WebKitWebView. The
    widget will request the size of the whole page as its size
    requisition.
  + Many a11y improvements.
  + The usual amount of other misc fixes.
  + WEBKIT_DEBUG variable now accepts channel names in any case
    again.
* Sun Jul 19 2009 vuntz@novell.com
- Update to version 1.1.11:
  + WebKit has got a new feature - a XSS auditor, that should
    improve security; this feature is still experimental, and
    disabled by default, but applications can enable it using the
    setting.
  + The hackish content sniffing code that was beig used to avoid
    pages requesting downloads instead of displaying content has
    been replaced by usage of a new Soup feature, which implements
    proper content sniffing.
  + More accessibility work, including fixes for problems which
    were critical for a possible GNOME 2.28 release.
  + Pasting rich text from other browsers should now work as
    expected.
  + The usual amount of misc fixes.
* Mon Jun 15 2009 vuntz@novell.com
- Update to version 1.1.10:
  + WebKitNetworkRequest has now GObject properties for its URI and
    the SoupMessage that backs it up.
  + Fix AtkText methods get_selection and get_n_selections to not
    use the global selection but only the selection that belongs to
    the object being used.
  + Fix a crasher when emitting the a11y signal 'text-caret-moved'
    in some situations with debug builds.
* Mon Jun 15 2009 vuntz@novell.com
- Move doc files to the library package instead of devel package,
  and also install the NEWS file for the GTK+-specific part of
  WebKit.
* Thu Jun 11 2009 vuntz@novell.com
- Update to version 1.1.9:
  + Scrolling once again received a lot of love, and many subtle
    problems and bugs were killed, and we now get correct behavior
    in acid2; a number of smaller improvements are in the queue.
  + Accessibility keeps gaining better support. On this release a
    lot of work was done on the AtkText interface implementation.
  + WebKitNetworkRequest now carries with it all the information
    regarding the request, not only the URI. This means you will no
    longer miss headers such as Referer when passing NetworkRequest
    objects from a callback to webkit_web_frame_load_request.
* Fri May 29 2009 vuntz@novell.com
- Update to version 1.1.8:
  + We found out that WebKitWebHistoryItems were being kept with a
    reference count of 2 instead of 1 as they should; nobody should
    be relying on that, but if you hit reference counting problems
    with items you were creating yourself, this is for you.
  + You can now copy images from the web page to the clipboard.
  + Improvements were made to the Plugin handling code.
  + Scroll events will now be correctly reported to web
    applications.
  + You can now embed arbitrary widgets as if it was a plugin, with
    the new "create-plugin-widget" signal.
  + The atk_text_get_text_{at,after,before}_offset methods are now
    implemented for all boundary types except LINE_AFTER and
    LINE_BEFORE.
  + The usual stream of minor fixes and improvements, as always.
* Sun May 17 2009 vuntz@novell.com
- Update to version 1.1.7 (not everything is listed in ChangeLog):
  + Build fixes.
  + Enable JIT on x86-64 gtk+.
* Wed Apr 29 2009 vuntz@novell.com
- Update to version 1.1.6 (not everything is listed in ChangeLog:
  + Added support for generating API docs in the Qt build using
    "make docs"
  + Add enchant support for spell-checking-languages property to
    work properly.
  + [GTK] Error reporting
  + Quite some accessibility improvements
  + New printing API.
- Add enchant-devel BuildRequires.
* Fri Apr 17 2009 vuntz@novell.com
- Make libwebkit-1_0-2 provides libwebkit so that the lang package
  is installable.
* Wed Apr 15 2009 vuntz@novell.com
- Update to version 1.1.5:
  + Integrate gtk-doc into the Gtk+ buildsystem.
  + Add unit tests.
  + Filter out all C++ symbols.
  + Build fixes.
- Add lang package for new translations.
* Sat Apr  4 2009 vuntz@novell.com
- Update to version 1.1.4:
  + Do not export cti* symbols.
  + Enable HTML5 media elements support by default in the GTK+
    port.
  + Separate gtk unit tests.
  + Misc patches for WebKitWebHistoryItem.
  + Require gnome-keyring 2.26.0.
- Remove --enable-video from configure: it's active by default now.
* Thu Mar 19 2009 vuntz@novell.com
- Update to version 1.1.3:
  + Way too many changes to list here. See ChangeLog.
- Rename libwebkit-1_0-1 to libwebkit-1_0-2, reflecting soname
  change.
- Drop webkit-cairo-canvas-r34625-for-1.0.1.patch: fixed upstream.
- Drop webkit-fix-gcc43.patch: fixed upstream.
- Drop libwebkit-no-return-in-nonvoid.patch: does not apply anymore
  at all, should be fixed upstream.
- Drop libwebkit-use-after-free.patch: fixed upstream.
- Remove pre_checkin.sh: there's no dll/exe file anymore in the
  tarball.
- Remove unneeded BuildRequires: curl-devel, libqt4-devel.
- Change sqlite-devel to sqlite3-devel.
- Add BuildRequires: gcc-c++, gnome-keyring-devel,
  gstreamer-0_10-plugins-base-devel, libjpeg-devel, libsoup-devel.
- Add libsoup-devel to Requires of devel package.
- Make webkit-jsc require libwebkit-1_0-2.
- Do not call autoreconf.
- Remove --enable-svg-experimental flag from configure.
- Add flags to configure: --enable-video, --enable-gnomekeyring.
  Those options are disabled by default, but we want them for good
  GNOME integration.
* Fri Dec  5 2008 olh@suse.de
- %%configure does not use RPM_OPT_FLAGS, export CXXFLAGS as well
* Mon Oct  6 2008 cthiel@suse.de
- reviewed
* Wed Oct  1 2008 dominique-openusse@leuenberger.net
- Let's not package up the *.la files. They anyhow have illegal
  references to other la files which are no longer packaged
  (libwebkit-1.0.la for example contains ref to libsqlite3.la)
* Thu Sep 18 2008 maw@suse.de
- Add libwebkit-use-after-free.patch (bnc#427349, bwo#19618,
  and CVE-2008-3632).
* Tue Aug 26 2008 ajorgensen@novell.com
- Fix for -debug* requiring wrong package
* Sat Aug 23 2008 ajorgensen@novell.com
- Patch no-return-in-nonvoid-function error
* Wed Aug  6 2008 ajorgensen@novell.com
- Update to version 1.0.1
- First release tarball
* Sat Jun 14 2008 schwab@suse.de
- Use -mminimal-toc on ppc64.
* Wed Jan 16 2008 stbinner@suse.de
- update to snapshot r29509
* Thu Jan  3 2008 stbinner@suse.de
- rename to comply to shared library packaging policy more exactly
* Wed Dec 19 2007 stbinner@suse.de
- initial package
